*** ======================================================================== ***
*  A6:  Correlation of the Broad Norm with the Gallup World Poll Measure
*** ======================================================================== ***
/* Description: This dofile export the data comparing 
				the broad norm from  our ssample with the broad norm from 
				the Gallup World Poll Measure at the country level. */
				
* Loading Dataset at the Country Level 
  use "$data/Final/GenderAtHome_DataAnalysisCountry.dta", clear 

* Setting up globals  for variables we want to include country level data on 
  # d;  
  gl supp_var    SupportNational_n1  diff_support  
		         SupportWomen_n1     diff_supportwom
		         SupportMen_n1       diff_supportmen;	
			   
  gl belief_var  BeliefNational_n1   diff_belief
		         BeliefWomen_n1      diff_beliefwom 
		         BeliefMen_n1        diff_beliefmen;   
  # d cr;			
				
				

** Individual Tables
    gl title         "Table: Correlation of the Broad Norm with the Gallup World Poll Measure"
    gl output_name   DSCorrNormGallup			
	gl DS_var $supp_var  $belief_var     

	# d; 
	 eststo  clear;
	 estpost tabstat $DS_var if gallup_sample==1, 
	         by(code_iso3)	statistics(mean) columns(statistics);
		
	 esttab using "$outputs_raw/Tables/Appendix/$output_name.csv", 	 
	 cells("mean(fmt(%9.2f)label (Mean))")
	 title($title) label 			
	 unstack  nonumbers nogaps nonote plain replace;
	# d cr; 	
	
** Exporting to unique file 
** ------------------------------------------	
    local svdate: di %tdCCYYNNDD daily("$S_DATE", "DMY")
    disp "`svdate'" 			   
	preserve 
	* Import table from csv
	import delimited "$outputs_raw/Tables/Appendix/$output_name.csv", ///
	clear delimiter(comma)

	* Exporting into common file 
	export excel using "$outputs_raw/Tables\GenderAtHome_AppendixTables_`svdate'.xlsx", ///
				 sheet("$output_name", modify) 
	restore   

********************************************************************************
// END OF DOFILE 
       
 
		