*** ======================================================================== ***
*   Table D1: The Degree of Norm Misperception by Gender across Regions of the World
*** ======================================================================== ***
/* Description: This dofile should be run to replicate th kernel density graphs 
                by norm and region of the world. */


** Load Dataset 
   use "$data/Final/GenderAtHome_DataAnalysisInd.dta", clear
   
** Restrincting to our sampleo of analysis which comprises: 
   keep if d_indchar_sample==1
	
 * Setting up globals 	
	# d;
    gl DS_var d_und_aeq_opport_F   d_ard_aeq_opport_F  d_over_aeq_opport_F 
	          d_und_aeq_opport_M   d_ard_aeq_opport_M  d_over_aeq_opport_M 
			  d_und_aexpens_F      d_ard_aexpens_F     d_over_aexpens_F 
			  d_und_aexpens_M      d_ard_aexpens_M     d_over_aexpens_M
			  d_und_awoman_role_F  d_ard_awoman_role_F d_over_awoman_role_F 
			  d_und_awoman_role_M  d_ard_awoman_role_M d_over_awoman_role_M;
	# d cr;		  
  
 * All variables for table
 * -----------------------------------------
   gl output_name DS_DegreeMispGenderRegion
   gl title       "Table: The Degree of Norm Misperception by Gender across Regions of the World" 
   local group    region
  
  * Individual Tables by Region
	# d; 
	 eststo  clear;
	 estpost tabstat $DS_var, by(region)				             
			 statistics(mean) columns(statistics);
		
	 esttab using "$outputs_raw/Tables/Appendix/$output_name.csv", 	 
	 cells("mean(fmt(%9.2f)label (Mean))")
	 title($title) label 			
	 unstack  nonumbers nogaps nonote plain replace;
	# d cr; 	
	
 * Exporting to unique file 
 * ------------------------------------------	
    local svdate: di %tdCCYYNNDD daily("$S_DATE", "DMY")
    disp "`svdate'" 			   
	preserve 
	* Import table from csv
	import delimited "$outputs_raw/Tables/Appendix/$output_name.csv", ///
	clear  delimiter(comma)

	* Exporting into common file 
	export excel using "$outputs_raw/Tables\GenderAtHome_AppendixTables_`svdate'.xlsx", ///
				 sheet("$output_name", modify) 
	restore   	
				  
  