*** ======================================================================== ***
*  A10:  Correlation of the Broad Norm with the Gallup World Poll Measure
*** ======================================================================== ***
/* Description: This dofile export table the aggregates the personal belief 
    and the comunity perceived by region of the world */

** Load Dataset 
   use "$data/Final/GenderAtHome_DataAnalysisInd.dta", clear
   
** Restrincting to our sampleo of analysis which comprises: 
   keep if d_indchar_sample==1
	
** Setting up variable names  
   # d;
    gl DS_var d_eq_opport_agree_F   d_eq_opport_agree_M 
	          eq_opport_neighb_F    eq_opport_neighb_M 
			  d_expens_agree_F      d_expens_agree_M 
			  expens_neigh_F        expens_neigh_M 
			  d_woman_role_agree_F  d_woman_role_agree_M 
			  woman_role_neigh_F    woman_role_neigh_M;
	# d cr;		 
	
 * All variables for table
 * -----------------------------------------
   gl output_name DS_GenderDiffRegion
   gl title       "Table Gender Differences in Average Personal Beliefs and Norms by Region of the World" 
   local group    region
  
  * Individual Tables by Region
	# d; 
	 eststo  clear;
	 estpost tabstat $DS_var, by(region)				             
			 statistics(mean) columns(statistics);
		
	 esttab using "$outputs_raw/Tables/Appendix/$output_name.csv", 	 
	 cells("mean(fmt(%9.2f)label (Mean))")
	 title($title) label 			
	 unstack  nonumbers nogaps nonote plain replace;
	# d cr; 	
	
 * Exporting to unique file 
 * ------------------------------------------	
    local svdate: di %tdCCYYNNDD daily("$S_DATE", "DMY")
    disp "`svdate'" 			   
	preserve 
	* Import table from csv
	import delimited "$outputs_raw/Tables/Appendix/$output_name.csv", ///
	clear  delimiter(comma)

	* Exporting into common file 
	export excel using "$outputs_raw/Tables\GenderAtHome_AppendixTables_`svdate'.xlsx", ///
				 sheet("$output_name", modify) 
	restore   	
					