*** ======================================================================== ***
*   Descriptive Statistics of Main Variables by Gender
*** ======================================================================== ***
/* Description: */
 * Load Dataset 
   use "$data/Final/GenderAtHome_DataAnalysisInd.dta", clear
   
 * Keeping sample for regressions 
   keep if d_indchar_sample==1
   
   
 * Setting up globals for variables  
   # d;
   gl outcomes1   work_busswage work_lastweek_con
                  hhd_rsp_whr hhd_rsp_whr_con;
	  
   gl outcomes2   self_dm_lp          spouse_dm_lp 
			      wife_dm_lp          husb_dm_lp  
				  joint_dm_lp         nopower_dm_lp
				  self_dm_cs          spouse_dm_cs 
			      wife_dm_cs          husb_dm_cs 
				  joint_dm_cs         nopower_dm_cs;
				  				  
   gl outcomes3   d_maincare_child    hrs_care_child 
				  hrs_chores_child    d_maincare_elderly 
				  hrs_care_eld        hrs_chores_eld;

   gl norms_var   d_eq_opport_agree   eq_opport_neighb 
                  d_expens_agree      expens_neigh
				  d_woman_role_agree  woman_role_neigh; 
				  
   gl DS_var      $outcomes1          $outcomes2 
                  $outcomes3		  $norms_var;		  
   # d cr; 
   
 * All variables for table
 * -----------------------------------------
   gl    output_name DS_MainVarGender
   local group       female_respondent
  
  # d;
   iebaltab $DS_var, grpvar(`group') 
            rowvarlabels format(%9.2f)
		    savecsv("$outputs_raw/Tables/Appendix/$output_name") replace;
  # d cr;    
  
 * Exporting to unique file 
 * ------------------------------------------	
    local svdate: di %tdCCYYNNDD daily("$S_DATE", "DMY")
    disp "`svdate'" 			   
	preserve 
	* Import table from csv
	import delimited "$outputs_raw/Tables/Appendix/$output_name.csv", ///
	clear  delimiter(comma)

	* Exporting into common file 
	export excel using "$outputs_raw/Tables\GenderAtHome_AppendixTables_`svdate'.xlsx", ///
				 sheet("$output_name", modify) 
	restore   
 
********************************************************************************
// END OF DOFILE 
    
   
   
   