*** ======================================================================== ***
*   Figure D1-D3: Gender Differences in Misperceptions of Norms (kdensity)
*** ======================================================================== ***
/* Description: This dofile should be run to replicate th kernel density graphs 
                by norm and region of the world. */

* Loading Dataset at the Country Level 
  use "$data/Final/GenderAtHome_DataAnalysisCountry.dta", clear 
  
** =============================================================================
** Norm 1: Men and women shoudl have equal opportunities 
** =============================================================================	
if 1{
gl outcome1 pign_eq_opportwom2
gl outcome2 pign_eq_opportmen2
local norm Norm1

* Region 1 
* --------------------------------------
local region_code 1
local region_name East Asia and Pacific
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-55(5)-5,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 2
* --------------------------------------
local region_code 2
local region_name Europe and Central Asia
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-55(5)-5,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 3 
* --------------------------------------
local region_code 3
local region_name Latin America and Caribbean 
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-55(5)-5,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 4
* --------------------------------------
local region_code 4
local region_name Middle East and North Africa
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-55(5)-5,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 5 
* --------------------------------------
local region_code 5
local region_name North America 
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-55(5)-5,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 6
* --------------------------------------
local region_code 6
local region_name South Asia
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-55(5)-5,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 7	
* --------------------------------------	
local region_code 7
local region_name Sub-Saharan Africa
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-55(5)-5,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Combining Graphs
* ----------------------------------------------- 	
if 1{
   local norm Norm1		
   gl title "Broad Norm: Men and women should have equal opportunities"	
   gl subtitle   "{it:Misperception of the norm}"	
   local zone south
   # d;
   graph combine "$outputs_raw/Figures/Appendix/graph`norm'_region1.gph"             
				 "$outputs_raw/Figures/Appendix/graph`norm'_region2.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region3.gph"             
				 "$outputs_raw/Figures/Appendix/graph`norm'_region4.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region5.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region6.gph" 
				 "$outputs_raw/Figures/Appendix/graph`norm'_region7.gph"  
				 , ycommon  xcommon    
				  title($title, size(small)  
                      color(dknavy)  span pos(11))			  
				  subtitle ($subtitle)
				  subtitle(,size(vsmall) span pos(11)) 
				  note( 
				  "Female Misperception=Female Perceived Community Norm (0-100)- Actual Agreement Personal Beliefs At Country(0-100)."
				  "Male Misperception=Male Perceived Community Norm (0-100)- Actual Agreement Personal Beliefs At Country(0-100)."
				  "Aggregates are taken at the country level and then averaged by region of the world."
				  "Number of countries per region: EAP(12) ECA(37) LAC(20) MENA(18) North America(2) South Asia(7) SSA(21).", size(tiny))
				  graphregion(color(white));
   # d cr; 				  
 * Export graph   
   graph export  "$outputs_raw/Figures/Appendix/DensitiesRegion`norm'.png", replace 	

}
}

** =============================================================================
** Norm 2: Expenses are man responsibility even if wife can help
** =============================================================================
if 1{
gl outcome1 pign_expenswom2
gl outcome2 pign_expensmen2
local norm Norm2

* Region 1 
* --------------------------------------
local region_code 1
local region_name East Asia and Pacific
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 2
* --------------------------------------
local region_code 2
local region_name Europe and Central Asia
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 3 
* --------------------------------------
local region_code 3
local region_name Latin America and Caribbean 
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 4
* --------------------------------------
local region_code 4
local region_name Middle East and North Africa
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 5 
* --------------------------------------
local region_code 5
local region_name North America 
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 6
* --------------------------------------
local region_code 6
local region_name South Asia
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 7	
* --------------------------------------	
local region_code 7
local region_name Sub-Saharan Africa
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Combining Graphs
* ----------------------------------------------- 	
if 1{
   local norm Norm2		
   gl title "Breadwinner Norm: Expenses are a man's responsibility even if his wife can help him"
   gl subtitle   "{it:Misperception of the norm}"	
   local zone south
   # d;
   graph combine "$outputs_raw/Figures/Appendix/graph`norm'_region1.gph"             
				 "$outputs_raw/Figures/Appendix/graph`norm'_region2.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region3.gph"             
				 "$outputs_raw/Figures/Appendix/graph`norm'_region4.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region5.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region6.gph" 
				 "$outputs_raw/Figures/Appendix/graph`norm'_region7.gph"  
				 , ycommon  xcommon    
				  title($title, size(small)  
                      color(dknavy)  span pos(11))			  
				  subtitle ($subtitle)
				  subtitle(,size(vsmall) span pos(11)) 
				  note( 
				  "Female Misperception=Female Perceived Community Norm (0-100)- Actual Agreement Personal Beliefs At Country(0-100)."
				  "Male Misperception=Male Perceived Community Norm (0-100)- Actual Agreement Personal Beliefs At Country(0-100)."
				  "Aggregates are taken at the country level and then averaged by region of the world."
				  "Number of countries per region: EAP(12) ECA(37) LAC(20) MENA(18) North America(2) South Asia(7) SSA(21).", size(tiny))
				  graphregion(color(white));
   # d cr; 				  

   
   
   * Export graph   
   graph export  "$outputs_raw/Figures/Appendix/DensitiesRegion`norm'.png", replace 	

}
}
	
** =============================================================================
** Norm 3: Woman's most important role is care of home and child
** ============================================================================= 	
if 1{
gl outcome1 pign_womanrwom2
gl outcome2 pign_womanrmen2
local norm Norm3

* Region 1 
* --------------------------------------
local region_code 1
local region_name East Asia and Pacific
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 2
* --------------------------------------
local region_code 2
local region_name Europe and Central Asia
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 3 
* --------------------------------------
local region_code 3
local region_name Latin America and Caribbean 
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 4
* --------------------------------------
local region_code 4
local region_name Middle East and North Africa
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 5 
* --------------------------------------
local region_code 5
local region_name North America 
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 6
* --------------------------------------
local region_code 6
local region_name South Asia
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}

* Region 7	
* --------------------------------------	
local region_code 7
local region_name Sub-Saharan Africa
if 1{
gl title "`region_name'" 
sum $outcome1 if region==`region_code'
local 	mean_1 = r(mean)

sum $outcome2 if region==`region_code'
local 	mean_2 = r(mean)

twoway 	(kdensity $outcome1 if region==`region_code', color("147 112 219")) ///
		(kdensity $outcome2 if region==`region_code', color("0 153 153")), ///
		xline(`mean_1', lcolor("lavender%70") lpattern(dash)) ///
		xline(`mean_2', lcolor("emerald%60") lpattern(dash)) ///
		legend(off) /// 
		xtitle(% Difference, size(small)) ///
		xlabel(-15(5)45,labsize (vsmall)) ///
		ytitle(Density, size(small)) ylabel(,labsize (vsmall)) ///
		bgcolor (white) graphregion(color(white)) /// 
		title("$title", justification(left) color(black) span pos(12) size(medium)) 
graph save "$outputs_raw/Figures/Appendix/graph`norm'_region`region_code'.gph", replace			
}





* Combining Graphs
* ----------------------------------------------- 	
if 1{
   local norm Norm3		
  gl title    "Caregiver Norm: Women's most important role is to take care of her home and children"
   gl subtitle   "{it:Misperception of the norm}"	
   local zone south
   # d;
   graph combine "$outputs_raw/Figures/Appendix/graph`norm'_region1.gph"             
				 "$outputs_raw/Figures/Appendix/graph`norm'_region2.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region3.gph"             
				 "$outputs_raw/Figures/Appendix/graph`norm'_region4.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region5.gph"
				 "$outputs_raw/Figures/Appendix/graph`norm'_region6.gph" 
				 "$outputs_raw/Figures/Appendix/graph`norm'_region7.gph"  
				 , ycommon  xcommon    
				  title($title, size(small)  
                      color(dknavy)  span pos(11))			  
				  subtitle ($subtitle)
				  subtitle(,size(vsmall) span pos(11)) 
				  note( 
				  "Female Misperception=Female Perceived Community Norm (0-100)- Actual Agreement Personal Beliefs At Country(0-100)."
				  "Male Misperception=Male Perceived Community Norm (0-100)- Actual Agreement Personal Beliefs At Country(0-100)."
				  "Aggregates are taken at the country level and then averaged by region of the world."
				  "Number of countries per region: EAP(12) ECA(37) LAC(20) MENA(18) North America(2) South Asia(7) SSA(21).", size(tiny))
				  graphregion(color(white));
   # d cr; 				  

 * Export graph   
   graph export  "$outputs_raw/Figures/Appendix/DensitiesRegion`norm'.png", replace 	

}
}
		

******************************************************************************** 
/// END OF DOFILE
	  
  