*** ======================================================================== ***
*   Table : Sample Characteristics by Respondent Gender 
*** ======================================================================== ***


 * Load Dataset 
   use "$data/Final/GenderAtHome_DataAnalysisInd.dta", clear
   
 * Restrincting to sampleo of analysis which comprises  all individual characteristics
   keep if d_indchar_sample==1
  
 * Setting up globals  
   # d; 
     gl dem_var  hhd_has_spo
	             d_relation_hhh_* 
				 d_hhsize_selfexcluded_*            
				 d_hhd_own_edu_1 
				 d_hhd_own_edu_2
				 d_age_1 
				 d_age_2
				 d_hhd_urb_1   
				 d_hhd_urb_2
				 d_own_land
				 d_region_*;  
   # d cr;
   
 * Demographics
 * -----------------------------------------
   gl    output_name SampleChar_Gender
   gl    ds_var      $dem_var 
   local group       female_respondent
  
  # d;
   iebaltab $ds_var, grpvar(`group') 
            onerow rowvarlabels format(%9.2f)
		    savecsv("$outputs_raw/Tables/Main/$output_name") replace;
  # d cr;    
  
  
** Exporting to unique file 
** ------------------------------------------	
    local svdate: di %tdCCYYNNDD daily("$S_DATE", "DMY")
    disp "`svdate'" 			   
	preserve 
	* Import table from csv
	import delimited "$outputs_raw/Tables/Main/$output_name.csv", ///
	clear delimiter(comma)

	* Exporting into common file 
	export excel using "$outputs_raw/Tables\GenderAtHome_MainTables_`svdate'.xlsx", ///
				 sheet("$output_name", modify) 
	restore   
 
********************************************************************************
// END OF DOFILE 
 