*================================================================= *
*   PART 1. CONSTRUCTION OF INDIVIDUAL VARIABLES     			   *    		
*   2021														   *
*================================================================= *

*Dofiles Parts (activate all if needed)
gl part_1_1  1
gl part_1_2  1
gl part_1_3  1
gl part_1_4  1
gl part_1_5  1

********************************************************************************
*         PART 1.  Generating names that are easy to use for analysis  
********************************************************************************
if $part_1_1{
/* i.e clonevar relation_hhh=a5_r1
   Here please do it following the order of the Codebook. 
   So please start with a1
*/

  clonevar eq_opport=a1
  recode   eq_opport (5=1) (4=2) (3=3) (2=4) (1=5)
  la def agree_lab 1 "Strongly Disagree" 2 "Disagree" 3 "Neither" 4 "Agree" 5 "Strongly Agree", modify 
  la val eq_opport agree_lab
  
  clonevar eq_opport_neighb=a2_opps_other
  clonevar work_lastweek=a3
  clonevar gender=a4
  recode gender 2=0
  # d;
    label def genderrecod
        1 "Female"
		0 "Male"
		3 "Other", modify;
  # d cr;
  label var gender genderrecod
  clonevar relation_hhh=a5_r1
  clonevar urbanicity=a6_r
  clonevar food_insecur=b10
  clonevar hours_work=b1_hours_work
  clonevar d_main_earners_brother=b2_main_earners_brother
  clonevar d_main_earners_daughter=b2_main_earners_daughter
  clonevar d_main_earners_father=b2_main_earners_father
  clonevar d_main_earners_mother=b2_main_earners_mother
  clonevar d_main_earners_other=b2_main_earners_other
  clonevar d_main_earners_othman=b2_main_earners_othman
  clonevar d_main_earners_othwoman=b2_main_earners_othwoman
  clonevar d_main_earners_self=b2_main_earners_self
  clonevar d_main_earners_sister=b2_main_earners_sister
  clonevar d_main_earners_son=b2_main_earners_son
  clonevar d_main_earners_spouse=b2_main_earners_spouse
  clonevar econ_depend=b3
  clonevar expens=b4
  clonevar expens_neigh=b5_man_other
  clonevar d_livelihood_assistance=b6_livelihood_assistance
  clonevar d_livelihood_familybiz=b6_livelihood_familybiz
  clonevar d_livelihood_familyfarm=b6_livelihood_familyfarm
  clonevar d_livelihood_gov=b6_livelihood_gov 
  clonevar d_livelihood_invest=b6_livelihood_invest
  clonevar d_livelihood_ngo=b6_livelihood_ngo
  clonevar d_livelihood_nonfam=b6_livelihood_nonfam
  clonevar d_livelihood_oth=b6_livelihood_oth
  clonevar d_livelihood_pension=b6_livelihood_pension
  clonevar d_livelihood_remittances=b6_livelihood_remittances
  clonevar d_livelihood_unemploy=b6_livelihood_unemploy
  clonevar d_livelihood_wage=b6_livelihood_wage
  clonevar access_hh_money=b7
  clonevar larg_purch_decis=b8
  clonevar crit_spend_decis=b9
  clonevar d_maincare_disability=c1_maincare_disability
  clonevar d_maincare_elderly=c1_maincare_elderly
  clonevar d_maincare_isolate=c1_maincare_isolate
  clonevar d_maincare_none=c1_maincare_none
  clonevar d_maincare_preschool=c1_maincare_preschool
  clonevar d_maincare_school=c1_maincare_school
  clonevar help_care_freq=c1a
  clonevar d_help_care_another_man=c1b_another_man
  clonevar d_help_care_another_woman=c1b_another_woman
  clonevar d_help_care_father=c1b_father
  clonevar d_help_care_mother=c1b_mother
  clonevar d_help_care_oth_fam=c1b_oth_fam
  clonevar d_help_care_other=c1b_other
  clonevar d_help_care_spouse=c1b_spouse
  clonevar d_help_care_worker=c1b_worker
  clonevar hours_care=c1c_hours_care
  clonevar hours_care_delta=c1d
  clonevar d_halftime_chore_animals=c2_animals
  clonevar d_halftime_chore_business=c2_business
  clonevar d_halftime_chore_clean=c2_clean
  clonevar d_halftime_chore_cook=c2_cook
  clonevar d_halftime_chore_farm=c2_farm
  clonevar d_halftime_chore_hhmanage=c2_hhmanage
  clonevar d_halftime_chore_none=c2_none
  clonevar d_halftime_chore_other=c2_other
  clonevar d_halftime_chore_shop=c2_shop
  clonevar d_halftime_chore_water_fuel=c2_water_fuel
  clonevar help_chores_freq=c1a
  clonevar d_help_chores_another_man=c2b_another_man
  clonevar d_help_chores_another_woman=c2b_another_woman
  clonevar d_help_chores_daughter=c2b_daughter
  clonevar d_help_chores_father=c2b_father
  clonevar d_help_chores_mother=c2b_mother
  clonevar d_help_chores_none=c2b_none
  clonevar d_help_chores_other=c2b_other
  clonevar d_help_chores_son=c2b_son
  clonevar d_help_chores_spouse=c2b_spouse
  clonevar d_help_chores_worker=c2b_worker
  clonevar hours_chores=c2c_hours_chores
  clonevar hours_chores_delta=c2d
  clonevar woman_role=c3
  clonevar woman_role_neigh=c4_housewife_other
  clonevar hours_care_cat=carehr_cat
  clonevar hours_chores_cat=chorehr_cat
  clonevar d_spouse=d0
  clonevar hhsize_selfexcluded=d1
  clonevar education=d3_r
  clonevar d_own_computer=d4_own_computer
  clonevar d_own_home=d4_own_home
  clonevar d_own_land=d4_own_land
  clonevar d_own_none=d4_own_none
  clonevar d_own_phone=d4_own_phone
  clonevar d_own_vehicle=d4_own_vehicle
  clonevar feel_unsafe_myhouse=d5
  clonevar d_covid_nohlthcare=d6_health
  clonevar d_covid_quarantine=d6_isolate
  clonevar d_covid_lostjob=d6_job
  clonevar d_covid_nohealthsupply=d6_medical
  clonevar d_covid_migrate=d6_migrate
  clonevar d_covid_none=d6_none
  clonevar d_covid_other=d6_other
  clonevar d_covid_nopersnalcare=d6_personal
  clonevar d_covid_noschool=d6_school
  clonevar d_covid_notransport=d6_transport
  clonevar d_covid_hlthcarewait=d6_wait
  clonevar d_concern_bored=d7_bored
  clonevar d_concern_food=d7_food
  clonevar d_concern_healthcare=d7_health
  clonevar d_concern_info=d7_info
  clonevar d_concern_loan=d7_loan
  clonevar d_concern_money=d7_money
  clonevar d_concern_none=d7_none
  clonevar d_concern_other=d7_other
  clonevar d_concern_stuck=d7_stuck
  clonevar d_concern_work=d7_work
  clonevar status_since_jan2020=d8
  
  # d;
  order eq_opport a1 eq_opport_neighb a2_opps_other work_lastweek a3 gender a4
        relation_hhh a5_r1 urbanicity a6_r food_insecur b10 hours_work b1_hours_work
		d_main_earners_brother b2_main_earners_brother d_main_earners_daughter b2_main_earners_daughter
		d_main_earners_father b2_main_earners_father d_main_earners_mother b2_main_earners_mother
		d_main_earners_other b2_main_earners_other d_main_earners_othman b2_main_earners_othman
		d_main_earners_othwoman b2_main_earners_othwoman d_main_earners_self b2_main_earners_self
		d_main_earners_sister b2_main_earners_sister d_main_earners_son b2_main_earners_son
		d_main_earners_spouse b2_main_earners_spouse econ_depend b3 expens b4 expens_neigh b5_man_other 
		d_livelihood_assistance	b6_livelihood_assistance d_livelihood_familybiz	b6_livelihood_familybiz
        d_livelihood_familyfarm	b6_livelihood_familyfarm d_livelihood_gov	b6_livelihood_gov
        d_livelihood_invest	b6_livelihood_invest d_livelihood_ngo	b6_livelihood_ngo
        d_livelihood_nonfam	b6_livelihood_nonfam d_livelihood_oth	b6_livelihood_oth
        d_livelihood_pension	b6_livelihood_pension d_livelihood_remittances	b6_livelihood_remittances
        d_livelihood_unemploy	b6_livelihood_unemploy d_livelihood_wage	b6_livelihood_wage
		access_hh_money b7 larg_purch_decis b8 crit_spend_decis b9
        d_maincare_disability c1_maincare_disability d_maincare_elderly c1_maincare_elderly
        d_maincare_isolate c1_maincare_isolate d_maincare_none c1_maincare_none
        d_maincare_preschool c1_maincare_preschool    d_maincare_school c1_maincare_school
		help_care_freq c1a  d_help_care_another_man c1b_another_man     
        d_help_care_another_woman c1b_another_woman d_help_care_father c1b_father
        d_help_care_mother c1b_mother d_help_care_oth_fam c1b_oth_fam
        d_help_care_other c1b_other d_help_care_spouse c1b_spouse
        d_help_care_worker c1b_worker hours_care c1c_hours_care hours_care_delta c1d
        d_halftime_chore_animals c2_animals  d_halftime_chore_business c2_business
        d_halftime_chore_clean c2_clean  d_halftime_chore_cook c2_cook
        d_halftime_chore_farm c2_farm   d_halftime_chore_hhmanage c2_hhmanage
        d_halftime_chore_none c2_none    d_halftime_chore_other c2_other
        d_halftime_chore_shop c2_shop  d_halftime_chore_water_fuel c2_water_fuel help_chores_freq c1a
		d_help_chores_another_man c2b_another_man d_help_chores_another_man c2b_another_man
        d_help_chores_another_woman c2b_another_woman d_help_chores_daughter c2b_daughter
        d_help_chores_father c2b_father  d_help_chores_mother c2b_mother
        d_help_chores_none c2b_none d_help_chores_other c2b_other
        d_help_chores_son c2b_son   d_help_chores_spouse c2b_spouse
        d_help_chores_worker c2b_worker  hours_chores c2c_hours_chores
        hours_chores_delta c2d  woman_role c3 woman_role_neigh c4_housewife_other
		hours_care_cat carehr_cat hours_chores_cat chorehr_cat
        d_spouse d0 hhsize_selfexcluded d1  education d3_r d_own_computer d4_own_computer    
        d_own_home d4_own_home d_own_land d4_own_land  d_own_none d4_own_none d_own_phone d4_own_phone
        d_own_vehicle d4_own_vehicle feel_unsafe_myhouse d5   d_covid_nohlthcare d6_health d_covid_quarantine d6_isolate
        d_covid_lostjob d6_job d_covid_nohealthsupply d6_medical  d_covid_migrate d6_migrate  d_covid_none d6_none
        d_covid_other d6_other d_covid_nopersnalcare d6_personal     d_covid_noschool d6_school d_covid_notransport d6_transport
        d_covid_hlthcarewait d6_wait d_concern_bored d7_bored  d_concern_food d7_food d_concern_healthcare d7_health
        d_concern_info d7_info  d_concern_loan d7_loan  d_concern_money d7_money d_concern_none d7_none
        d_concern_other d7_other d_concern_stuck d7_stuck d_concern_work d7_work status_since_jan2020 d8
        language pct_online_cat  sub_region  w_region  w_subregion  workhr_cat	
	
  ;
  # d cr;
}


********************************************************************************
*         PART 2.  Generating dichotomous variables for Categorical variables 
********************************************************************************
/* Note: Here we want to keep the original categorical variable and create
  a dichotomous for each category
  i.e. 
  tab relation_hhh, gen(d_relation_hhh_) */
  
if $part_1_2{
  recode gender 2=0 3=0, gen (d_female)
  label var d_female "dummy=1 if female"
  
  recode gender 2=1 1=0 3=0, gen (d_male)
  label var d_male "dummy=1 if male"
  
  tab eq_opport, gen (d_eq_opport_)
  des d_eq_opport_*
  label var d_eq_opport_1 "Men & women equal opportunity: Strongly Disagree"
  label var d_eq_opport_2 "Men & women equal opportunity: Disagree"
  label var d_eq_opport_3	"Men & women equal opportunity: Neither"
  label var d_eq_opport_4	"Men & women equal opportunity: Agree"
  label var d_eq_opport_5	"Men & women equal opportunity: Strongly Agree"

  clonevar age=d2_r
  tab age, gen(d_age_)
  la var d_age_1 "Age:24 or younger"
  la var d_age_2 "Age: 25-64 years old"
  
  tab relation_hhh, gen (d_relation_hhh_)
  des d_relation_hhh_*
  label var d_relation_hhh_1 "Relationship with hhh: Head of Household"
  label var d_relation_hhh_2 "Relationship with hhh: Spouse or partner"
  //label var d_relation_hhh_3 "Relationship with hhh: Child or Grandchild"
  //label var d_relation_hhh_4 "Relationship with hhh: Other"

  tab urbanicity, gen (d_urbanicity_)
  des d_urbanicity_*
  label var d_urbanicity_1  "urbanicity: City"
  label var d_urbanicity_2  "urbanicity: Village, rural area, or other"

  tab econ_depend, gen (d_econ_depend_)
  des d_econ_depend_*
  label var d_econ_depend_1  "role in hh livng expend: I fully depend on someone else in my HH"
  label var d_econ_depend_2  "role in hh livng expend: I partially depend on someone else in HH"
  label var d_econ_depend_3  "role in hh livng expend: I fully cover my own expenses"
  label var d_econ_depend_4  "role in hh livng expend: I fully cover only my own expenses and that of other HH members"
  label var d_econ_depend_5  "role in hh livng expend: I fully cover all living expenses for HH"
  label var d_econ_depend_6  "role in hh livng expend: Other(specify)"
 
  recode expens (5=1) (4=2) (3=3) (2=4) (1=5)
  la val expens agree_lab
  
  tab expens, gen (d_expens_)
  des d_expens_*
  label var d_expens_1 "expenses man responsib, evn if wife can help: Strongly Disagree"
  label var d_expens_2 "expenses man responsib, evn if wife can help: Disagree"
  label var d_expens_3 "expenses man responsib, evn if wife can help: Neither"
  label var d_expens_4 "expenses man responsib, evn if wife can help: Agree"
  label var d_expens_5 "expenses man responsib, evn if wife can help: Strongly Agree"

  tab access_hh_money, gen (d_access_hh_money_)
  des d_access_hh_money_*
  label var d_access_hh_money_1  "Access to HH money: I have full access"
  label var d_access_hh_money_2  "Access to HH money: I have limited access"
  label var d_access_hh_money_3  "Access to HH money: I do not have access"

  tab larg_purch_decis, gen (d_larg_purch_decis_)
  des d_larg_purch_decis_*
  label var d_larg_purch_decis_1  "decider large purchses in hh:I make the decision"
  label var d_larg_purch_decis_2  "decider large purchses in hh:My spouse or partner"
  label var d_larg_purch_decis_3  "decider large purchses in hh:My spouse & I"
  label var d_larg_purch_decis_4  "decider large purchses in hh:I make the decision with someone else in my HH"
  label var d_larg_purch_decis_5  "decider large purchses in hh:My father"
  label var d_larg_purch_decis_6  "decider large purchses in hh:My mother"
  label var d_larg_purch_decis_7  "decider large purchses in hh:Another man in HH"
  label var d_larg_purch_decis_8  "decider large purchses in hh:Another woman in HH"
  label var d_larg_purch_decis_9  "decider large purchses in hh:Someone else outside of HH"
  label var d_larg_purch_decis_10  "decider large purchses in hh:Other(specify)"

  tab crit_spend_decis, gen (d_crit_spend_decis_)
  des d_crit_spend_decis_*
  label var d_crit_spend_decis_1  "decider critical spending matters in hh:I make the decision"
  label var d_crit_spend_decis_2  "decider critical spending matters in hh:My spouse or partner"
  label var d_crit_spend_decis_3  "decider critical spending matters in hh:My spouse & I"
  label var d_crit_spend_decis_4  "decider critical spending matters in hh:I make the decision with someone else in my HH"
  label var d_crit_spend_decis_5  "decider critical spending matters in hh:My father"
  label var d_crit_spend_decis_6  "decider critical spending matters in hh:My mother"
  label var d_crit_spend_decis_7  "decider critical spending matters in hh:Another man in HH"
  label var d_crit_spend_decis_8  "decider critical spending matters in hh:Another woman in HH"
  label var d_crit_spend_decis_9  "decider critical spending matters in hh:Someone else outside of HH"
  label var d_crit_spend_decis_10  "decider critical spending matters in hh:Other(specify)"

  tab help_care_freq, gen (d_help_care_freq_)
  des d_help_care_freq_*
  label var d_help_care_freq_1  "how oftn get help care fmily mmbers:All of the time"
  label var d_help_care_freq_2  "how oftn get help care fmily mmbers:Most of the time"
  label var d_help_care_freq_3  "how oftn get help care fmily mmbers:Occasionally"
  label var d_help_care_freq_4  "how oftn get help care fmily mmbers:Rarely"
  label var d_help_care_freq_5  "how oftn get help care fmily mmbers:Not at all"

  tab hours_care_delta, gen (d_hours_care_delta_)
  des d_hours_care_delta_*
  label var d_hours_care_delta_1  "time caring - variation during pandemic: Increased"
  label var d_hours_care_delta_2  "time caring - variation during pandemic: Stayed the same"
  label var d_hours_care_delta_3  "time caring - variation during pandemic: Decreased"
  label var d_hours_care_delta_4  "time caring - variation during pandemic: Not applicable"
 
  tab help_chores_freq, gen (d_help_chores_freq_)
  des d_help_chores_freq_*
  label var d_help_chores_freq_1  "how oftn get help with chores:All of the time"
  label var d_help_chores_freq_2  "how oftn get help with chores:Most of the time"
  label var d_help_chores_freq_3  "how oftn get help with chores:Occasionally"
  label var d_help_chores_freq_4  "how oftn get help with chores:Rarely"
  label var d_help_chores_freq_5  "how oftn get help with chores:Not at all"

  tab hours_chores_delta, gen (d_hours_chores_delta_)
  des d_hours_chores_delta_*
  label var d_hours_chores_delta_1  "time chores - variation during pandemic: Increased"
  label var d_hours_chores_delta_2  "time chores - variation during pandemic: Stayed the same"
  label var d_hours_chores_delta_3  "time chores - variation during pandemic: Decreased"
  label var d_hours_chores_delta_4  "time chores - variation during pandemic: Not applicable"
  
  recode woman_role (5=1) (4=2) (3=3) (2=4) (1=5)
  la val woman_role agree_lab
  tab woman_role, gen (d_woman_role_)
  des d_woman_role_*
  label var d_woman_role_1 "woman role is home & children: Strongly Disagree"
  label var d_woman_role_2 "woman role is home & children: Disagree"
  label var d_woman_role_3 "woman role is home & children: Neither"
  label var d_woman_role_4 "woman role is home & children: Agree"
  label var d_woman_role_5 "woman role is home & children: Strongly Agree"

  tab hours_care_cat, gen (d_hours_care_cat_)
  des d_hours_care_cat_*
  label var d_hours_care_cat_1 "hours spent for care: 0 to 2 hours per day"
  label var d_hours_care_cat_2 "hours spent for care: 3 hours per day"
  label var d_hours_care_cat_3 "hours spent for care: 4 to 5 hours per day"
  label var d_hours_care_cat_4 "hours spent for care: 6 to 9 hours per day"
  label var d_hours_care_cat_5 "hours spent for care: 10 to 15 hours per day "
  label var d_hours_care_cat_6 "hours spent for care: 16 to 24 hours per day"

  tab hours_chores_cat, gen (d_hours_chores_cat_)
  des d_hours_chores_cat_*
  label var d_hours_chores_cat_1 "hours spent for chores: 0 hours per day"
  label var d_hours_chores_cat_2 "hours spent for chores: 1 hour per day"
  label var d_hours_chores_cat_3 "hours spent for chores: 2 hours per day"
  label var d_hours_chores_cat_4 "hours spent for chores: 3 hours per day"
  label var d_hours_chores_cat_5 "hours spent for chores: 4 hours per day "
  label var d_hours_chores_cat_6 "hours spent for chores: 5 to 6 hours per day"
  label var d_hours_chores_cat_7 "hours spent for chores: 7 to 20 hours per day"

  tab hhsize_selfexcluded, gen (d_hhsize_selfexcluded_)
  des d_hhsize_selfexcluded_*
  label var d_hhsize_selfexcluded_1 "how many people same roof, yself excluded: 0, I live alone"
  label var d_hhsize_selfexcluded_2 "how many people same roof, yself excluded: 1 person"
  label var d_hhsize_selfexcluded_3 "how many people same roof, yself excluded: 2-5 people"
  label var d_hhsize_selfexcluded_4 "how many people same roof, yself excluded: 6-10 people"
  label var d_hhsize_selfexcluded_5 "how many people same roof, yself excluded: 11 or more"


  tab education, gen (d_education_)
  des d_education_*
  label var d_education_1 "education: Secondary or less"
  label var d_education_2 "education: More than secondary"

  tab feel_unsafe_myhouse, gen (d_feel_unsafe_myhouse_)
  des feel_unsafe_myhouse d_feel_unsafe_myhouse_*
  label var d_feel_unsafe_myhouse_1 "There are times feel uncomfortable or unsafe in my house: Strongly Agree"
  label var d_feel_unsafe_myhouse_2 "There are times feel uncomfortable or unsafe in my house: Agree"
  label var d_feel_unsafe_myhouse_3 "There are times feel uncomfortable or unsafe in my house: Neither"
  label var d_feel_unsafe_myhouse_4 "There are times feel uncomfortable or unsafe in my house: Disagree"
  label var d_feel_unsafe_myhouse_5 "There are times feel uncomfortable or unsafe in my house: Strongly Disagree"


  tab status_since_jan2020, gen (d_status_since_jan2020_)
  des d_status_since_jan2020_*
  label var d_status_since_jan2020_1  "main status since January 1st 2020:I am a student"
  label var d_status_since_jan2020_2  "main status since January 1st 2020:I am a business owner or manager"
  label var d_status_since_jan2020_3  "main status since January 1st 2020:I support a family business"
  label var d_status_since_jan2020_4  "main status since January 1st 2020:I work for wage or salary"
  label var d_status_since_jan2020_5  "main status since January 1st 2020:Stay at home parent"
  label var d_status_since_jan2020_6  "main status since January 1st 2020:Unemployed"
  label var d_status_since_jan2020_7  "main status since January 1st 2020:Retired"
  label var d_status_since_jan2020_8  "main status since January 1st 2020:Apprentice/trainee/intern"
  label var d_status_since_jan2020_9  "main status since January 1st 2020:Unpaid caregiver for family member"
  label var d_status_since_jan2020_10  "main status since January 1st 2020:Other(specify)"

  tab pct_online_cat, gen (d_pct_online_cat_)
  des d_pct_online_cat_*
  label var d_pct_online_cat_1  "Percent of population online:5% or less"
  label var d_pct_online_cat_2  "Percent of population online:5 to 10%"
  label var d_pct_online_cat_3  "Percent of population online:10 to 15%"
  label var d_pct_online_cat_4  "Percent of population online:15 to 20%"
  label var d_pct_online_cat_5  "Percent of population online:20 to 25%"
  label var d_pct_online_cat_6  "Percent of population online:25 to 30%"
  label var d_pct_online_cat_7  "Percent of population online:30 to 35%"
  label var d_pct_online_cat_8  "Percent of population online:35 to 40%"
  label var d_pct_online_cat_9  "Percent of population online:40 to 45%"
  label var d_pct_online_cat_10  "Percent of population online:45 to 50%"
  label var d_pct_online_cat_11  "Percent of population online:50 to 55%"
  label var d_pct_online_cat_12  "Percent of population online:55 to 60%"
  label var d_pct_online_cat_13  "Percent of population online:60 to 65%"
  label var d_pct_online_cat_14  "Percent of population online:65 to 70%"
  label var d_pct_online_cat_15  "Percent of population online:70 to 75%"
  label var d_pct_online_cat_16  "Percent of population online:75 to 80%"
  label var d_pct_online_cat_17  "Percent of population online:80 to 85%"
  label var d_pct_online_cat_18  "Percent of population online:85 to 90%"
  label var d_pct_online_cat_19  "Percent of population online:90 to 95%"
  label var d_pct_online_cat_20  "Percent of population online:95 to 100%"

  tab workhr_cat, gen (d_workhr_cat_)
  des d_workhr_cat_*
  label var d_workhr_cat_1  "Hours spent per day at work last week:0 to 2"
  label var d_workhr_cat_2  "Hours spent per day at work last week:3 to 4"
  label var d_workhr_cat_3  "Hours spent per day at work last week:5 to 7"
  label var d_workhr_cat_4  "Hours spent per day at work last week:8"
  label var d_workhr_cat_5  "Hours spent per day at work last week:9 to 11"
  label var d_workhr_cat_6  "Hours spent per day at work last week:12 to 14"
  label var d_workhr_cat_7  "Hours spent per day at work last week:15 to 24"


  *******************************************************************************************************************
  * Here I change some variable names to match the Facebook Future of business survey variable names                *
  * NOTE: I decided to rename the variables here instead of changing the names directly in PART 1 of this dofile so *
  *       that we can "unmatch" the variables if they reveal to be too different between FOB and GAH                *
  *******************************************************************************************************************


  rename *status_since_jan2020* *hhd_own_rol* //please notice that the variable is not perfectly identical to FOB, so also the dummies for the categories are different
  rename *gender* *hhd_own_gen*
  rename d_main_earners_self hhd_hed_inc
  rename *education* *hhd_own_edu* //notice that the categories are different in FOB vs GAH, and so are the generated dummies as a consequence
  rename d_spouse hhd_has_spo
  rename d_concern_bored hhd_man_cnc_bor //no correspondence to this variable in FOB, but name changed to be similar to the other variables about main concerns
  rename d_concern_food hhd_man_cnc_efood
  rename d_concern_healthcare hhd_man_cnc_acces
  rename d_concern_info hhd_man_cnc_corinf
  rename d_concern_loan hhd_man_cnc_loan //no correspondence to this variable in FOB, but name changed to be similar to the other variables about main concerns
  rename d_concern_money hhd_man_cnc_havin
  rename d_concern_none hhd_man_cnc_i_do
  rename d_concern_other hhd_man_cnc_other //no correspondence to this variable in FOB, but name changed to be similar to the other variables about main concerns
  rename d_concern_stuck hhd_man_cnc_being
  rename d_concern_work hhd_man_cnc_work //no correspondence to this variable in FOB, but name changed to be similar to the other variables about main concerns
                                         //NOTE: in this last case there is a similar variable in FOB
										 // hhd_man_cnc_the_f "My main concern is the future of my business"
                                         // while here in GAH this is "My main concern is the future of my work". Should we give
										 
  rename *urbanicity* *hhd_urb* 
  rename *hours_work* *hhd_rsp_whr*
  ren d_female female_respondent
  replace hhd_rsp_whr=. if work_lastweek==0
  la def female_respondent 1 "Female"  0 "Male", modify 
  la val female_respondent female_respondent
  
  
                                 /******NOTE, potentially important:***********
  Here in GAH we have c1c_hours_care "Number of hours per day spent on care activities for family members"
  and also c2c_hours_chores "Number of hours per day spent on household chores"
  while in FOB we have hhd_rsp_hrs   "How many hours per day do you spend on domestic tasks or family care activities?"
  
  Should we sum c1c_hours_care+c2c_hours_chores  in GAH to create a variable matching hhd_rsp_hrs in FOB?
                                                                                  */
  drop hhd_man_cnc_other 
  
}
  
********************************************************************************
*         PART 3.Generating New variables that need more than one variable 
********************************************************************************
if $part_1_3{  
** Demographics 
** =========================================================
** Main income earner b2
   egen    num_inc_earners=rowtotal(d_main_earners_*)
   replace num_inc_earners=num_inc_earners+hhd_hed_inc
   replace num_inc_earners=. if d_main_earners_brother>=. 
   la var  num_inc_earners "Number of income earners in the household"
   
   gen d_singinc_earner=(num_inc_earners==1)
   replace d_singinc_earner=. if d_main_earners_brother>=. 
   la var d_singinc_earner "Single income earner in the household"
   
   gen hhd_hed_inc_sing=hhd_hed_inc if d_singinc_earner==1
   la var hhd_hed_inc_sing "Main Income earner: Self"
   
   # d;
   gen other_mie=(d_main_earners_brother==1 | d_main_earners_daughter==1 | 
				   d_main_earners_father==1 |  d_main_earners_mother==1 | 
				   d_main_earners_other==1 |  d_main_earners_othman==1 | 
				   d_main_earners_othwoman==1 |  d_main_earners_sister==1 |  
				   d_main_earners_son==1);
   # d cr;				  
   gen     self_solo_mie=(hhd_hed_inc==1 & d_singinc_earner==1)
   gen     spouse_solo_mie=(d_main_earners_spouse==1 & d_singinc_earner==1)   
   gen     joint_spouse_mie=(d_main_earners_spouse==1 & hhd_hed_inc==1)
   gen     joint_anyone_mie=(hhd_hed_inc==1 & other_mie==1) 
   
   la var self_solo_mie   "Self sole breadwinner"
   la var spouse_solo_mie "Spouse sole breadwinner "
   la var joint_spouse_mie "Joint breadwinner with spouse"
   la var joint_anyone_mie "Joint breadwinner with anyone but spouse"
   la var other_mie "Other breadwinner (not self, no spouse)"
   
   egen    mie_any=anymatch(self_solo_mie joint_spouse_mie joint_anyone_mie), value (1)
   replace mie_any=. if self_solo_mie>=. 
   la var  mie_any "Respondent is main income earner (Sole and sole-joint)"
   
  /* 
   la var self_solo_mie   "Self sole breadwinner (Only “self” selected as main income earner)"
   la var spouse_solo_mie "Spouse_sole_breadwinner (Only spouse selected as main income earner)"
   la var joint_spouse_mie "Joint_breadwinner_spouse (Self and spouse selected as main income earners)"
   la var joint_anyone_mie "Joint_breadwinner_anyone (Self and anyone else named as main income earner)"
   la var other_mie "Other_breadwinner (not self, no spouse)"   */
    
  gl var_mie self_solo_mie 	spouse_solo_mie joint_spouse_mie joint_anyone_mie other_mie
  foreach var of varlist $var_mie{
  replace `var'=. if  d_main_earners_spouse>=.
  }
	
 
** Assets index
 * Global for index 
   /*Note: Here include all variables you think you need to 
		compute wealth index. I'm including for the moment 
		assets, sdwelling characteristics*/
   global asset_index d_own_*
   
 * Principal component analysis of data 
   pca $asset_index
   predict assetindex
   sum assetindex, detail   
   la var assetindex "Assets Index (PCA)"
   xtile assetindex_q=assetindex, nq(5) 
   tab assetindex_q, gen (assetindex_q)

   
** Intrahousehold Variables  
** =========================================================
** Decision Making Large Purchases 
   gen self_dm_lp=(d_larg_purch_decis_1==1)
   gen spouse_dm_lp=(d_larg_purch_decis_2==1) 
   gen joint_dm_lp=(d_larg_purch_decis_3==1)
   gen anypower_dm_lp=(d_larg_purch_decis_1==1 | d_larg_purch_decis_3==1 | ///
                      d_larg_purch_decis_4==1)
   # d;					  
   gen nopower_dm_lp=(d_larg_purch_decis_2==1 |  d_larg_purch_decis_5==1 | 
					 d_larg_purch_decis_6==1 | 
					 d_larg_purch_decis_7==1 | d_larg_purch_decis_8==1 | 
					 d_larg_purch_decis_9==1 | d_larg_purch_decis_10==1);
   replace nopower_dm_lp=0 if d_larg_purch_decis_1==1 | d_larg_purch_decis_3==1 | d_larg_purch_decis_4==1; 			 
   # d cr; 					 

   * Crossing Dm so it is easier to understand 
   gen     wife_dm_lp=. 
   replace wife_dm_lp=1 if self_dm_lp==1 & female_respondent==1
   replace wife_dm_lp=1 if spouse_dm_lp==1 & female_respondent==0
   replace wife_dm_lp=0 if self_dm_lp==0 & female_respondent==1
   replace wife_dm_lp=0 if spouse_dm_lp==0 & female_respondent==0   
   la var  wife_dm_lp "Wife has all the power"
   
   gen     husb_dm_lp=. 
   replace husb_dm_lp=1 if self_dm_lp==1 & female_respondent==0
   replace husb_dm_lp=1 if spouse_dm_lp==1 & female_respondent==1
   replace husb_dm_lp=0 if self_dm_lp==0 & female_respondent==0
   replace husb_dm_lp=0 if spouse_dm_lp==0 & female_respondent==1   
   la var  husb_dm_lp "Husband has all the power"
   
   
   la var self_dm_lp     "I have all the power (just me)" 
   la var spouse_dm_lp   "Spouse has all the power (just spouse)" 
   la var joint_dm_lp    "Joint decision making with spouse" 
   la var anypower_dm_lp "Any power (I make the decision myself or with someone else)" 
   la var nopower_dm_lp  "No power at all"
   
   gl dm_lp self_dm_lp spouse_dm_lp wife_dm_lp husb_dm_lp joint_dm_lp  anypower_dm_lp nopower_dm_lp 
   foreach var of varlist $dm_lp{
   replace `var'=. if   d_larg_purch_decis_1>=.  
   replace `var'=. if   hhd_has_spo==0
   replace `var'=. if   female_respondent>=.
   }


** Decision Making Critical Spending
   gen self_dm_cs=(d_crit_spend_decis_1==1)
   gen spouse_dm_cs=(d_crit_spend_decis_2==1) 
   gen joint_dm_cs=(d_crit_spend_decis_3==1)
   gen anypower_dm_cs=(d_crit_spend_decis_1==1 | d_crit_spend_decis_3==1 | ///
                      d_crit_spend_decis_4==1)
   # d;					  
   gen nopower_dm_cs=(d_crit_spend_decis_2==1 |  d_crit_spend_decis_5==1 | 
					 d_crit_spend_decis_6==1 | 
					 d_crit_spend_decis_7==1 | d_crit_spend_decis_8==1 | 
					 d_crit_spend_decis_9==1 | d_crit_spend_decis_10==1);
   replace nopower_dm_cs=0 if d_crit_spend_decis_1==1 | d_crit_spend_decis_3==1 | d_crit_spend_decis_4==1; 			 
   # d cr; 					 
   
   gen     wife_dm_cs=. 
   replace wife_dm_cs=1 if self_dm_cs==1 & female_respondent==1
   replace wife_dm_cs=1 if spouse_dm_cs==1 & female_respondent==0
   replace wife_dm_cs=0 if self_dm_cs==0 & female_respondent==1
   replace wife_dm_cs=0 if spouse_dm_cs==0 & female_respondent==0   
   la var  wife_dm_cs "Wife has all the power"

   gen     husb_dm_cs=. 
   replace husb_dm_cs=1 if self_dm_cs==1 & female_respondent==0
   replace husb_dm_cs=1 if spouse_dm_cs==1 & female_respondent==1
   replace husb_dm_cs=0 if self_dm_cs==0 & female_respondent==0
   replace husb_dm_cs=0 if spouse_dm_cs==0 & female_respondent==1   
   la var  husb_dm_cs "Husband has all the power"
   
   la var self_dm_cs "I have all the power (just me)" 
   la var spouse_dm_cs "Spouse has all the power (just spouse)" 
   la var joint_dm_cs "Joint decision making with spouse" 
   la var anypower_dm_cs "Any power (I make the decision myself or with someone else)" 
   la var nopower_dm_cs "No power at all."
   
   gl dm_cs self_dm_cs spouse_dm_cs  joint_dm_cs  anypower_dm_cs nopower_dm_cs  ///
            wife_dm_cs husb_dm_cs
   foreach var of varlist $dm_cs{
   replace `var'=. if   d_crit_spend_decis_1>=. 
   replace `var'=. if   hhd_has_spo==0  
   replace `var'=. if   female_respondent>=.  
   }   
   
   
** Labor Market Outcomes 
** =========================================================

** a3 / b1_hours_work / male dominated sector yes or no 
 * Including likelihood of work ; work hours  (conditional on work);
 * participation in a male dominated sector (among business owners) ; 

** Gender Norms 
** =========================================================
* 1) Broad Gender Equality
	* Individual norm 
	gen     d_expens_agree=(d_expens_4==1 | d_expens_5==1 )
	replace d_expens_agree=. if d_expens_1>=.
	la var  d_expens_agree "Agreement: Household expenses are the responsibility of the man"

	gen     d_eq_opport_agree=(d_eq_opport_4==1 | d_eq_opport_5==1 )
	replace d_eq_opport_agree=. if d_eq_opport_1>=.
	la var  d_eq_opport_agree "Agreement:Men and women should have equal opportunities"

	gen     d_woman_role_agree=(d_woman_role_4==1 | d_woman_role_5==1 )
	replace d_woman_role_agree=. if d_woman_role_1>=.
	la var  d_woman_role_agree "Agreement: Woman role is home & children" 


  * Inverse ind nrms 	
	gen     d_expens_disagree=(d_expens_1==1 | d_expens_2==1 )
	replace d_expens_disagree=. if d_expens_1>=.
	la var  d_expens_disagree "Disagreement: Household expenses are the responsibility of the man"

	gen     d_woman_role_disagree=(d_woman_role_1==1 | d_woman_role_2==1 )
	replace d_woman_role_disagree=. if d_woman_role_1>=.
	la var  d_woman_role_disagree "Disagreement: Woman role is home & children" 	
	
	
	gen     d_expens_disagree_fem=d_expens_disagree*female_respondent
	gen     d_woman_role_disagree_fem=d_woman_role_disagree*female_respondent
	la var  d_expens_disagree_fem "Disagreement:Household expenses are the responsibility of the man*Female"	
	la var  d_woman_role_disagree_fem "Disagreement:Woman role is home & children*Female" 		
	
	* Community Norm
	replace expens_neigh=expens_neigh/10
	replace eq_opport_neighb=eq_opport_neighb/10
	replace woman_role_neigh=woman_role_neigh/10
    
	gen expens_neigh_inv=1-expens_neigh
	gen woman_role_neigh_inv=1-woman_role_neigh
    gen expens_neigh_inv_fem=expens_neigh_inv*female_respondent
	gen woman_role_neigh_inv_fem=woman_role_neigh_inv*female_respondent
	
	gen d_expens_neigh_50p=(expens_neigh>=50 & expens_neigh<.) 
	gen d_eq_opport_neighb_50p=(eq_opport_neighb>=50 & eq_opport_neighb<.) 
	gen d_woman_role_neigh_50p=(woman_role_neigh>=50 & woman_role_neigh<.) 

	la var d_expens_neigh_50p "(50%)Household expenses are the responsibility of the man"
	la var d_eq_opport_neighb_50p "(50%)Men and women should have equal opportunities"
	la var d_woman_role_neigh_50p "(50%)Woman role is home & children"

	gen d_expens_neigh_50p_fem=d_expens_neigh_50p*female_respondent
	gen d_eq_opport_neighb_50p_fem=d_eq_opport_neighb_50p*female_respondent  
	gen d_woman_role_neigh_50p_fem=d_woman_role_neigh_50p*female_respondent	

	la var d_expens_neigh_50p_fem "(50%)HH exp responsibility of the man*Female"
	la var d_eq_opport_neighb_50p_fem "(50%)Men and women should have equal opportunities*Female"
	la var d_woman_role_neigh_50p_fem "(50%)Woman role is home & children*Female"  

	gen expens_neigh_indcom=d_expens_agree*d_expens_neigh_50p
	gen eq_opport_agree_indcom=d_eq_opport_agree*d_eq_opport_neighb_50p 
	gen woman_role_neigh_indcom=d_woman_role_agree*d_woman_role_neigh_50p

	la var expens_neigh_indcom    "(Ind*Com)HH exp responsibility of the man"
	la var eq_opport_agree_indcom "(Ind*Com)Men and women should have equal opportunities"
	la var woman_role_neigh_indcom    "(Ind*Com)Woman role is home & children"

   * Generating average per country
   gl norms eq_opport woman_role expens eq_opport_neighb woman_role_neigh expens_neigh 
 
   foreach var of varlist $norms{    
   gen `var'_f=`var'  if female_respondent==1
   gen `var'_m=`var'  if female_respondent==0  
   bysort sub_region: egen `var'_mean=mean(`var')
   bysort sub_region: egen `var'_mean_f=mean(`var'_f)
   bysort sub_region: egen `var'_mean_m=mean(`var'_m)
   drop `var'_f `var'_m
 
   gen max`var'_f=`var'_mean_f+1
   gen min`var'_f=`var'_mean_f-1   
   gen max`var'_m=`var'_mean_m+1
   gen min`var'_m=`var'_mean_m-1   
   gen max`var'_a=`var'_mean+1
   gen min`var'_a=`var'_mean-1    
   

   
   gen     d_und_`var'=(`var'<=min`var'_f & female_respondent==1)
   replace d_und_`var'=1 if `var'<=min`var'_m & female_respondent==0
   
   gen     d_over_`var'=(`var'>=max`var'_f  & female_respondent==1)
   replace d_over_`var'=1 if `var'>=max`var'_m & female_respondent==0
   
   gen     d_ard_`var'=(`var'>min`var'_f & `var'<max`var'_f & female_respondent==1)
   replace d_ard_`var'=1 if `var'>min`var'_m & `var'<max`var'_m & female_respondent==0
    gen relmean_`var'=.
   replace relmean_`var'=0 if `var'<`var'_mean
   replace relmean_`var'=1 if `var'>=`var'_mean

   gen relmean_f_`var'=.
   replace relmean_f_`var'=0 if `var'<`var'_mean_f
   replace relmean_f_`var'=1 if `var'>=`var'_mean_f   
   
   gen relmean_m_`var'=.
   replace relmean_m_`var'=0 if `var'<`var'_mean_m
   replace relmean_m_`var'=1 if `var'>=`var'_mean_m
   }

  ** Plutalistic Ignorance 
  * Generating a mean for the country to know what % agree with norm  
	foreach var of varlist d_eq_opport_agree d_woman_role_agree d_expens_agree{   
 ** ALL 
   	bysort sub_region: egen `var'_mn=mean(`var') 
	replace `var'_mn=`var'_mn*100
	gen min_`var'=`var'_mn-10
	gen max_`var'=`var'_mn+10
	

 ** SAME SEX: FEMALE 
    gen temp_`var'_F=`var'  if female_respondent==1
	bysort sub_region: egen `var'_mn_F=mean(temp_`var'_F) 
	replace `var'_mn_F=`var'_mn_F*100 
	gen min_`var'_F=`var'_mn_F-10
	gen max_`var'_F=`var'_mn_F+10
	
 ** SAME SEX: MALE 	
    gen temp_`var'_M=`var'  if female_respondent==0
	bysort sub_region: egen `var'_mn_M=mean(temp_`var'_M) 
	replace `var'_mn_M=`var'_mn_M*100 	
	gen min_`var'_M=`var'_mn_M-10
	gen max_`var'_M=`var'_mn_M+10	
	}

 ** Generating your community belief *10 to be able to compare
    gen est_eq_opport_neighb=eq_opport_neighb*100
	gen est_woman_role_neigh=woman_role_neigh*100
	gen est_expens_neigh=expens_neigh*100

 ** Distance bte community belief and actual 
   gen pl_eq_opport=est_eq_opport_neighb-d_eq_opport_agree_mn
   gen pl_expens=est_expens_neigh-d_expens_agree_mn
   gen pl_woman_role=est_woman_role_neigh-d_woman_role_agree_mn
   gen pl_eq_opport_f=pl_eq_opport*female_respondent
   gen pl_expens_f=pl_expens*female_respondent
   gen pl_woman_role_f=pl_woman_role*female_respondent   

   foreach var in eq_opport expens woman_role{ 
   gen     d_und_a`var'=(pl_`var'<-10)
   gen     d_ard_a`var'=(pl_`var'>=-10 & pl_`var'<=10)
   gen     d_over_a`var'=(pl_`var'>10) 
   replace d_und_a`var'=. if pl_`var'==. | female_respondent==. 
   replace d_ard_a`var'=. if pl_`var'==.  | female_respondent==. 
   replace d_over_a`var'=. if pl_`var'==.  | female_respondent==.  
   }
   
   la var pl_eq_opport "(PI)Men and women equal opportunity"
   la var pl_woman_role "(PI)Woman role is home and children"
   la var pl_expens "(PI)Expenditures are responsability of man"
   la var pl_eq_opport_f "(PI)Men and women equal opportunity*Female"
   la var pl_woman_role_f "(PI)Woman role is home and children*Female"
   la var pl_expens_f "(PI)Expenditures are responsability of man*Female"  
   

   foreach var of varlist pl_eq_opport pl_woman_role pl_expens {
   replace `var'=`var'/100
   replace `var'_f=`var'_f/100   
   }
 	
	
   foreach var of varlist pl_eq_opport pl_woman_role pl_expens {
   	gen     ab`var'=abs(`var')
	replace ab`var'=. if `var'>=.
	gen     ab`var'_f=ab`var'*female_respondent
	
    gen     neg`var'=(`var'<0)
	replace neg`var'=. if  `var'>=.
	gen     neg`var'_f=neg`var'*female_respondent	
	
	gen s_`var'=`var'
	sum `var'
	replace s_`var'= (`var'- `r(min)') / (`r(max)'-`r(min)')
	gen s_`var'_fem=s_`var'*female_respondent 
	}
	
   
   la var s_pl_eq_opport "(PI)Men and women equal opportunity (0-1)"
   la var s_pl_woman_role "(PI)Woman role is home and children(0-1)"
   la var s_pl_expens "(PI)Expenditures are responsability of man(0-1)"
   la var s_pl_eq_opport_fem "(PI)Men and women equal opportunity*Female(0-1)"
   la var s_pl_woman_role_fem "(PI)Woman role is home and children*Female(0-1)"
   la var s_pl_expens_fem "(PI)Expenditures are responsability of man*Female(0-1)"  	
	
   la var abpl_eq_opport     "(PI)Men and women equal opportunity(Abs)"
   la var abpl_woman_role    "(PI)Woman role is home and children(Abs)"
   la var abpl_expens        "(PI)Expenditures are responsability of man(Abs)"
   la var abpl_eq_opport_f   "(PI)Men and women equal opportunity*Female(Abs)"
   la var abpl_woman_role_f  "(PI)Woman role is home and children*Female(Abs)"
   la var abpl_expens_f      "(PI)Expenditures are responsability of man*Female(Abs)"  
   					
   la var negpl_eq_opport    "(PI-Neg)Men and women equal opportunity(0/1)"
   la var negpl_woman_role   "(PI-Neg)Woman role is home and children(0/1)"
   la var negpl_expens       "(PI-Neg)Expenditures are responsability of man(0/1)"
   la var negpl_eq_opport_f  "(PI-Neg)Men and women equal opportunity*Female(0/1)"
   la var negpl_woman_role_f "(PI-Neg)Woman role is home and children*Female(0/1)"
   la var negpl_expens_f     "(PI-Neg)Expenditures are responsability of man*Female0/1)"  
   
   
   
 * Comparing your community belief with the average in country 	
  * Norm 1 
    local varname  eq_opport
	local var      d_eq_opport_agree
	local var2     est_eq_opport_neighb
	gen     d_und_pi`varname'=(`var2'<min_`var'_F & female_respondent==1)
	replace d_und_pi`varname'=1 if `var2'<=min_`var'_M & female_respondent==0
	replace d_und_pi`varname'=. if `var2'>=. 


	gen     d_ard_pi`varname'=(`var2'>=min_`var'_F & `var2'<=max_`var'_F & female_respondent==1)
	replace d_ard_pi`varname'=1 if `var2'>=min_`var'_M & `var2'<=max_`var'_M & female_respondent==0
	replace d_ard_pi`varname'=. if `var2'>=.
	
	gen     d_over_pi`varname'=(`var2'>max_`var'_F  & female_respondent==1)
	replace d_over_pi`varname'=1 if `var2'>max_`var'_M & female_respondent==0
	replace d_over_pi`varname'=. if `var2'>=. 

	gen     d_und_pia`varname'=(`var2'<min_`var')
	gen     d_ard_pia`varname'=(`var2'>=min_`var' & `var2'<=max_`var')
	gen     d_over_pia`varname'=(`var2'>max_`var')
	replace d_und_pia`varname'=. if `var2'>=. 
	replace d_over_pia`varname'=. if `var2'>=.    
	replace d_ard_pia`varname'=. if `var2'>=.   

	
   * Norm 2	
    local varname woman_role
	local var   d_woman_role_agree
	local var2  est_woman_role_neigh
	gen     d_und_pi`varname'=(`var2'<min_`var'_F & female_respondent==1)
	replace d_und_pi`varname'=1 if `var2'<=min_`var'_M & female_respondent==0
	replace d_und_pi`varname'=. if `var2'>=. 

	gen     d_ard_pi`varname'=(`var2'>=min_`var'_F & `var2'<=max_`var'_F & female_respondent==1)
	replace d_ard_pi`varname'=1 if `var2'>=min_`var'_M & `var2'<=max_`var'_M & female_respondent==0
	replace d_ard_pi`varname'=. if `var2'>=.
	
	gen     d_over_pi`varname'=(`var2'>max_`var'_F  & female_respondent==1)
	replace d_over_pi`varname'=1 if `var2'>max_`var'_M & female_respondent==0
	replace d_over_pi`varname'=. if `var2'>=. 

	gen     d_und_pia`varname'=(`var2'<min_`var')
	gen     d_ard_pia`varname'=(`var2'>=min_`var' & `var2'<=max_`var')
	gen     d_over_pia`varname'=(`var2'>max_`var')
	replace d_und_pia`varname'=. if `var2'>=. 
	replace d_over_pia`varname'=. if `var2'>=.    
	replace d_ard_pia`varname'=. if `var2'>=.   
   
   * Norm 3 
    local varname expens
	local var   d_expens_agree
	local var2  est_expens_neigh
	gen     d_und_pi`varname'=(`var2'<min_`var'_F & female_respondent==1)
	replace d_und_pi`varname'=1 if `var2'<=min_`var'_M & female_respondent==0
	replace d_und_pi`varname'=. if `var2'>=. 

	gen     d_ard_pi`varname'=(`var2'>=min_`var'_F & `var2'<=max_`var'_F & female_respondent==1)
	replace d_ard_pi`varname'=1 if `var2'>=min_`var'_M & `var2'<=max_`var'_M & female_respondent==0
	replace d_ard_pi`varname'=. if `var2'>=.
	
	gen     d_over_pi`varname'=(`var2'>max_`var'_F  & female_respondent==1)
	replace d_over_pi`varname'=1 if `var2'>max_`var'_M & female_respondent==0
	replace d_over_pi`varname'=. if `var2'>=. 

	gen     d_und_pia`varname'=(`var2'<min_`var')
	gen     d_ard_pia`varname'=(`var2'>=min_`var' & `var2'<=max_`var')
	gen     d_over_pia`varname'=(`var2'>max_`var')
	replace d_und_pia`varname'=. if `var2'>=. 
	replace d_over_pia`varname'=. if `var2'>=.    
	replace d_ard_pia`varname'=. if `var2'>=.   
    drop    min_`var'* max_`var'* 

 * Repalcing all of them to missing if female_respondent is missing 
	foreach var of varlist d_und_pi* d_over_pi* d_ard_pi*{
	replace `var'=. if female_respondent==.
	gen `var'_f=`var'*female_respondent
	}

	# d;
	gl plur  d_und_eq_opport d_ard_eq_opport d_over_eq_opport
		d_und_expens  d_over_expens d_ard_expens
		d_und_woman_role   d_ard_woman_role  d_over_woman_role

		d_und_eq_opport_neighb d_ard_eq_opport_neighb  d_over_eq_opport_neighb
		d_und_expens_neigh  d_over_expens_neigh d_ard_expens_neigh
		d_und_woman_role_neigh   d_ard_woman_role_neigh  d_over_woman_role_neigh
		
		 d_und_aeq_opport d_ard_aeq_opport d_over_aeq_opport
		d_und_aexpens  d_over_aexpens d_ard_aexpens
		d_und_awoman_role   d_ard_awoman_role  d_over_awoman_role; 
	# d cr; 

	foreach var of varlist $plur{
	gen `var'_f=`var'*female_respondent	
	} 
   
	la var expens_neigh_mean    "Individual Belief:HH exp responsibility of the man (All-Country Mean)"
	la var eq_opport_mean       "Individual Belief:Men and women should have equal opportunities(All-Country Mean)"
	la var woman_role_mean      "Individual Belief:Woman role is home & children (All-Country Mean)"
	la var expens_neigh_mean    "Community Belief:HH exp responsibility of the man (All-Country Mean)"
	la var eq_opport_neighb_mean "Community Belief:Men and women should have equal opportunities(All-Country Mean)"
	la var woman_role_neigh_mean "Community Belief:Woman role is home & children (All-Country Mean)"

	la var expens_neigh_mean_f    "Individual Belief:HH exp responsibility of the man (Female-Country Mean)"
	la var eq_opport_mean_f       "Individual Belief:Men and women should have equal opportunities(Female-Country Mean)"
	la var woman_role_mean_f      "Individual Belief:Woman role is home & children (Female-Country Mean)"
	la var expens_neigh_mean_f    "Community Belief:HH exp responsibility of the man (Female-Country Mean)"
	la var eq_opport_neighb_mean_f "Community Belief:Men and women should have equal opportunities(Female-Country Mean)"
	la var woman_role_neigh_mean_f "Community Belief:Woman role is home & children (Female-Country Mean)"  	

	la var expens_neigh_mean_m    "Individual Belief:HH exp responsibility of the man (Male-Country Mean)"
	la var eq_opport_mean_m       "Individual Belief:Men and women should have equal opportunities(Male-Country Mean)"
	la var woman_role_mean_m      "Individual Belief:Woman role is home & children (Male-Country Mean)"
	la var expens_neigh_mean_m    "Community Belief:HH exp responsibility of the man (Male-Country Mean)"
	la var eq_opport_neighb_mean_m "Community Belief:Men and women should have equal opportunities(Male-Country Mean)"
	la var woman_role_neigh_mean_m "Community Belief:Woman role is home & children (Male-Country Mean)"  	

	la var relmean_expens_neigh     "Individual Belief:HH exp responsibility of the man (All-Relative to mean)"
	la var relmean_eq_opport        "Individual Belief:Men and women should have equal opportunities(All-Relative to mean)"
	la var relmean_woman_role       "Individual Belief:Woman role is home & children (All-Relative to mean)"
	la var relmean_expens_neigh     "Community Belief:HH exp responsibility of the man (All-Relative to mean)"
	la var relmean_eq_opport_neighb "Community Belief:Men and women should have equal opportunities(All-Relative to mean)"
	la var relmean_woman_role_neigh "Community Belief:Woman role is home & children (All-Relative to mean)"


	la var relmean_f_expens_neigh     "Individual Belief:HH exp responsibility of the man (Female-Relative to mean)"
	la var relmean_f_eq_opport        "Individual Belief:Men and women should have equal opportunities(Female-Relative to mean)"
	la var relmean_f_woman_role       "Individual Belief:Woman role is home & children (Female-Relative to mean)"
	la var relmean_f_expens_neigh     "Community Belief:HH exp responsibility of the man (Female-Relative to mean)"
	la var relmean_f_eq_opport_neighb "Community Belief:Men and women should have equal opportunities(Female-Relative to mean)"
	la var relmean_f_woman_role_neigh "Community Belief:Woman role is home & children (Female-Relative to mean)"

	la var relmean_m_expens_neigh     "Individual Belief:HH exp responsibility of the man (Male-Relative to mean)"
	la var relmean_m_eq_opport        "Individual Belief:Men and women should have equal opportunities(Male-Relative to mean)"
	la var relmean_m_woman_role       "Individual Belief:Woman role is home & children (Male-Relative to mean)"
	la var relmean_m_expens_neigh     "Community Belief:HH exp responsibility of the man (Male-Relative to mean)"
	la var relmean_m_eq_opport_neighb "Community Belief:Men and women should have equal opportunities(Male-Relative to mean)"
	la var relmean_m_woman_role_neigh "Community Belief:Woman role is home & children (Male-Relative to mean)"	
	
	
	la var d_und_expens_neigh      "Underestimate Community Belief:HH exp responsibility of the man"
	la var d_over_expens_neigh "Overestimate Community Belief:HH exp responsibility of the man"
	la var d_ard_expens_neigh "Around actual Community Belief:HH exp responsibility of the man"
	
	la var d_und_eq_opport_neighb      "Underestimate Community Belief:Men and women should have equal opportunities"
	la var d_over_eq_opport_neighb "Overestimate Community Belief:Men and women should have equal opportunities"
	la var d_ard_eq_opport_neighb  "Around actual Community Belief:Men and women should have equal opportunities"
	
	la var d_und_woman_role_neigh     "Underestimate Community Belief:Woman role is home & children"
	la var d_over_woman_role_neigh "Overestimate Community Belief:Woman role is home & children"
	la var d_ard_woman_role_neigh  "Around actual Community Belief:Woman role is home & children"	
		
	la var d_und_expens      "Underestimate Individual Belief:HH exp responsibility of the man"
	la var d_over_expens "Overestimate Individual Belief:HH exp responsibility of the man"
	la var d_ard_expens "Around actual Individual Belief:HH exp responsibility of the man"
	
	la var d_und_eq_opport      "Underestimate Individual Belief:Men and women should have equal opportunities"
	la var d_over_eq_opport "Overestimate Individual Belief:Men and women should have equal opportunities"
	la var d_ard_eq_opport  "Around actual Individual Belief:Men and women should have equal opportunities"
	
	la var d_und_woman_role     "Underestimate Individual Belief:Woman role is home & children"
	la var d_over_woman_role "Overestimate Individual Belief:Woman role is home & children"
	la var d_ard_woman_role  "Around actual Individual Belief:Woman role is home & children"	
	
	la var d_und_aexpens      "Underestimate Individual Belief:HH exp responsibility of the man "
	la var d_over_aexpens     "Overestimate Individual Belief:HH exp responsibility of the man"
	la var d_ard_aexpens      "Around actual Individual Belief:HH exp responsibility of the man"
	
	la var d_und_aeq_opport  "Underestimate:Men and women should have equal opportunities"
	la var d_over_aeq_opport "Overestimate:Men and women should have equal opportunities"
	la var d_ard_aeq_opport  "Around actual:Men and women should have equal opportunities"
	
	la var d_und_awoman_role  "Underestimate Individual Belief:Woman role is home & children"
	la var d_over_awoman_role "Overestimate Individual Belief:Woman role is home & children"
	la var d_ard_awoman_role  "Around actual Individual Belief:Woman role is home & children"	
			
	la var d_und_expens_neigh_f      "Underestimate Community*Female:HH exp responsibility of the man"
	la var d_over_expens_neigh_f "Overestimate Community*Female:HH exp responsibility of the man"
	la var d_ard_expens_neigh_f "Around actual Community*Female:HH exp responsibility of the man"
	
	la var d_und_eq_opport_neighb_f      "Underestimate Community*Female:Men and women should have equal opportunities"
	la var d_over_eq_opport_neighb_f "Overestimate Community*Female:Men and women should have equal opportunities"
	la var d_ard_eq_opport_neighb_f  "Around actual Community*Female:Men and women should have equal opportunities"
	
	la var d_und_woman_role_neigh_f     "Underestimate Community*Female:Woman role is home & children"
	la var d_over_woman_role_neigh_f "Overestimate Community*Female:Woman role is home & children"
	la var d_ard_woman_role_neigh_f  "Around actual Community*Female:Woman role is home & children"	
	
	la var d_und_expens_f      "Underestimate Individual*Female:HH exp responsibility of the man"
	la var d_over_expens_f "Overestimate Individual*Female:HH exp responsibility of the man"
	la var d_ard_expens_f "Around actual Individual*Female:HH exp responsibility of the man"
	
	la var d_und_eq_opport_f      "Underestimate Individual*Female:Men and women should have equal opportunities"
	la var d_over_eq_opport_f "Overestimate Individual*Female:Men and women should have equal opportunities"
	la var d_ard_eq_opport_f  "Around actual Individual*Female:Men and women should have equal opportunities"
	
	la var d_und_woman_role_f     "Underestimate Individual*Female:Woman role is home & children"
	la var d_over_woman_role_f "Overestimate Individual*Female:Woman role is home & children"
	la var d_ard_woman_role_f  "Around actual Individual*Female:Woman role is home & children"	
	
	
	la var d_und_aexpens      "Underestimate Individual Belief:HH exp responsibility of the man "
	la var d_over_aexpens     "Overestimate Individual Belief:HH exp responsibility of the man"
	la var d_ard_aexpens      "Around actual Individual Belief:HH exp responsibility of the man"

	
	la var d_und_pieq_opport    "Underestimate(PI):Men and women should have equal opportunities(overall)"
	la var d_und_piwoman_role   "Underestimate(PI):Woman role is home & children(overall)" 
	la var d_und_piexpens       "Underestimate(PI):HH exp responsibility of the man(overall)"
	la var d_over_pieq_opport   "Overestimate(PI):Men and women should have equal opportunities(overall)"
	la var d_over_piwoman_role  "Overestimate(PI):Woman role is home & children(overall)" 
	la var d_over_piexpens     "Overestimate(PI):HH exp responsibility of the man(overall)"	
	la var d_ard_pieq_opport    "Around(PI):Men and women should have equal opportunities(overall)"
	la var d_ard_piwoman_role   "Around(PI):Woman role is home & children(overall)" 
	la var d_ard_piexpens       "Around(PI):HH exp responsibility of the man(overall)"		
	
	la var d_und_piaeq_opport   "Underestimate(PI):Men and women should have equal opportunities(same sex)"
	la var d_und_piawoman_role   "Underestimate(PI):Woman role is home & children(same sex)" 
	la var d_und_piaexpens      "Underestimate(PI):HH exp responsibility of the man(same sex)"
	la var d_over_piaeq_opport   "Overestimate(PI):Men and women should have equal opportunities(same sex)"
	la var d_over_piawoman_role  "Overestimate(PI):Woman role is home & children(same sex)" 
	la var d_over_piaexpens      "Overestimate(PI):HH exp responsibility of the man(same sex)"	
	la var d_ard_piaeq_opport    "Around(PI):Men and women should have equal opportunities(same sex)"
	la var d_ard_piawoman_role  "Around(PI):Woman role is home & children(same sex)" 
	la var d_ard_piaexpens      "Around(PI):HH exp responsibility of the man(same sex)"		
	
	
	la var d_und_pieq_opport_f    "Underestimate(PI)*Female:Men and women should have equal opportunities(overall)"
	la var d_und_piwoman_role_f   "Underestimate(PI)*Female:Woman role is home & children(overall)" 
	la var d_und_piexpens_f       "Underestimate(PI)*Female:HH exp responsibility of the man(overall)"
	la var d_over_pieq_opport_f   "Overestimate(PI)*Female:Men and women should have equal opportunities(overall)"
	la var d_over_piwoman_role_f  "Overestimate(PI)*Female:Woman role is home & children(overall)" 
	la var d_over_piexpens_f      "Overestimate(PI)*Female:HH exp responsibility of the man(overall)"	
	la var d_ard_pieq_opport_f    "Around(PI)*Female:Men and women should have equal opportunities(overall)"
	la var d_ard_piwoman_role_f   "Around(PI)*Female:Woman role is home & children(overall)" 
	la var d_ard_piexpens_f       "Around(PI)*Female:HH exp responsibility of the man(overall)"		
	
	la var d_und_piaeq_opport_f    "Underestimate(PI)*Female:Men and women should have equal opportunities(same sex)"
	la var d_und_piawoman_role_f   "Underestimate(PI)*Female:Woman role is home & children(same sex)" 
	la var d_und_piaexpens_f       "Underestimate(PI)*Female:HH exp responsibility of the man(same sex)"
	la var d_over_piaeq_opport_f   "Overestimate(PI)*Female:Men and women should have equal opportunities(same sex)"
	la var d_over_piawoman_role_f  "Overestimate(PI)*Female:Woman role is home & children(same sex)" 
	la var d_over_piaexpens_f      "Overestimate(PI)*Female:HH exp responsibility of the man(same sex)"	
	la var d_ard_piaeq_opport_f    "Around(PI)*Female:Men and women should have equal opportunities(same sex)"
	la var d_ard_piawoman_role_f   "Around(PI)*Female:Woman role is home & children(same sex)" 
	la var d_ard_piaexpens_f       "Around(PI)*Female:HH exp responsibility of the man(same sex)"			
	
	
** Restrictions, Concerns, etc  
** ========================================================= 
** Exposure to COVID-19 and related restrictions d6
	* Any experience
	egen    num_covid_exp=rowtotal(d_covid_*)
	replace num_covid_exp=num_covid_exp-d_covid_none
	la var  num_covid_exp "Number of COVID experiences"
	replace num_covid_exp =. if d_covid_nohlthcare>=. 

	*Number of experinces 
	gen     d_atleast_covid_exp=(num_covid_exp>0 & num_covid_exp<.)
	la var  d_atleast_covid_exp "Reported at least one covid experience"
	replace d_atleast_covid_exp=.  if d_covid_nohlthcare>=. 

	** Concerns  d7
	* Any concern, types of concern 
	egen    num_concerns=rowtotal(d7_*)
	replace num_concerns=num_concerns-d7_none
	replace num_concerns=. if d7_bored>=.
	la var  num_concerns "Number of main concerns"

	gen     d_atleast_concern=(num_concerns>0 & num_concerns<.)
	la var  d_atleast_concern "At least one concern reported"
	replace d_atleast_concern=. if d7_bored>=.
	

** Time Use 
** ====================================================================
	*** Checking on outliers for main outcomes 
	egen    hours_act_workcare=rowtotal(hours_care hhd_rsp_whr)  
	replace hours_act_workcare=. if   hours_care==. | hhd_rsp_whr==.
	replace hours_act_workcare=. if   hhd_rsp_whr==0
	la var  hours_act_workcare "Total hours active a day (care and work)"
	sum     hours_act_workcare 

	egen    hours_act_workchores=rowtotal(hours_chores hhd_rsp_whr)  
	replace hours_act_workchores=. if   hours_chores==. | hhd_rsp_whr==.
	replace hours_act_workchores=. if   hhd_rsp_whr==0
	la var  hours_act_workchores "Total hours active a day (chores and work)"
	sum     hours_act_workchores 

	egen    hours_act_carechores=rowtotal(hours_chores hhd_rsp_whr)  
	replace hours_act_carechores=. if   hours_chores==. | hours_care==.
	la var  hours_act_carechores "Total hours active a day (care and chores)"
	sum     hours_act_carechores 


	egen    hours_act_day=rowtotal(hours_care hours_chores hhd_rsp_whr)  
	replace hours_act_day=. if   hours_care==. | hours_chores==. | hhd_rsp_whr==.
	la var  hours_act_day "Total hours active a day (care, chores and work)"
	sum     hours_act_day 

	gen     d_max_hours_act_day=(hours_act_day>19 &  hours_act_day<.)
	replace d_max_hours_act_day=. if hours_act_day==. 
	la var  d_max_hours_act_day "Max hours active a day"

    egen    d_maincare_adult=anymatch(d_maincare_disability d_maincare_elderly ///
	                           d_maincare_isolate), value (1)
	replace d_maincare_adult=. if 	d_maincare_disability>=.	
	
    egen    d_maincare_child=anymatch(d_maincare_preschool d_maincare_school), value (1)
	replace d_maincare_child=. if 	d_maincare_preschool>=.		
	la var  d_maincare_adult "Main Caregiver:Elderly,memeber with disability, isolation"
	la var  d_maincare_child "Main Caregiver:Preschool or School Children"	
	
	gen     hrs_care_child=hours_care  
	replace hrs_care_child=.  if d_maincare_child==0 

	gen     hrs_chores_child=hours_chores  
	replace hrs_chores_child=.  if d_maincare_child==0 	
	
	gen     hrs_care_eld=hours_care  
	replace hrs_care_eld=.  if d_maincare_elderly==0 

	gen     hrs_chores_eld=hours_chores  
	replace hrs_chores_eld=.  if d_maincare_elderly==0 		
	
	la var  hrs_care_child   "Hours spend on care activities (Main Caregiver Children)"
	la var  hrs_chores_child "Hours spend on household chores (Main Caregiver Children)"	
	la var  hrs_care_eld     "Hours spend on care activities (Main Caregiver Elderly)"
	la var  hrs_chores_eld   "Hours spend on household chores (Main Caregiver Elderly)"		
	
** Replace the hours to missing if this is more than 2 sd .
	sum hours_act_carechores 
	local sd_var=r(sd)
	di `sd_var'
	sum hours_act_carechores  
	local mean_var=r(mean)
	di `mean_var'
	gen hours_act_carechores_temp=`mean_var'+`sd_var'+`sd_var'
	
	sum hours_act_workcare 
	local sd_var=r(sd)
	di `sd_var'
	sum hours_act_workcare 
	local mean_var=r(mean)
	di `mean_var'
	gen hours_act_workcare_temp=`mean_var'+`sd_var'+`sd_var'
	
    sum hours_act_workchores
	local sd_var=r(sd)
	di `sd_var'
	sum hours_act_workchores
	local mean_var=r(mean)
	di `mean_var'
	gen hours_act_workchores_temp=`mean_var'+`sd_var'

	sum hours_act_day
	local sd_var=r(sd)
	di `sd_var'
	sum hours_act_day
	local mean_var=r(mean)
	di `mean_var'
	gen hours_act_day_temp=`mean_var'+`sd_var'+`sd_var'
	//replace hours_act_day=. if hours_act_day>=hours_act_day_temp

	sum hours_care
	local sd_var=r(sd)
	di `sd_var'
	sum hours_care
	local mean_var=r(mean)
	di `mean_var'
	gen hours_care_temp=`mean_var'+`sd_var'+`sd_var'
	//replace hours_care=. if hours_care>=hours_care_temp 

	sum hours_chores
	local sd_var=r(sd)
	di `sd_var'
	sum hours_chores
	local mean_var=r(mean)
	di `mean_var'
	gen hours_chores_temp=`mean_var'+`sd_var'+`sd_var'
	//replace hours_chores=. if hours_chores>=hours_chores_temp 

	sum hhd_rsp_whr
	local sd_var=r(sd)
	di `sd_var'
	sum hhd_rsp_whr
	local mean_var=r(mean)
	di `mean_var'
	gen hhd_rsp_whr_temp=`mean_var'+`sd_var'+`sd_var'
	//replace hhd_rsp_whr=. if hhd_rsp_whr>=hhd_rsp_whr_temp 
    replace hhd_rsp_whr=0 if work_lastweek==0
	 
* Generating outliers 	
  gen d_out_workchores=(hours_act_workchores>hours_act_workchores_temp)
  replace d_out_workchores=. if hours_act_workchores==. 
  replace d_out_workchores=. if hours_chores==. | hhd_rsp_whr==.
  
  gen d_ret_workchores=(d_out_workchores==0)
  replace d_ret_workchores=. if d_out_workchores==. 
  la var d_ret_workchores "Sample no classify as outlier"
  
  foreach var of varlist  hours_care hours_chores hhd_rsp_whr{
  gen d_out_`var'=`var'>`var'_temp
  replace d_out_`var'=. if `var'==. 

  }  
  
  gen d_resp_workchores=(hours_care<. & hhd_rsp_whr<.)
  gen d_resp_workcare=(hours_chores<. & hhd_rsp_whr<.)
  gen d_resp_carechores=(hours_chores<. & hours_care<.)
  gen d_resp_timeuseall=(hours_chores<. & hours_care<.  & hhd_rsp_whr<.)
  

	gen     cat_own_rol=.
	replace cat_own_rol=1 if (d_hhd_own_rol_1==1 | d_hhd_own_rol_6==1 | d_hhd_own_rol_7==1)
	replace cat_own_rol=2 if (d_hhd_own_rol_2==1 | d_hhd_own_rol_3==1)
	replace cat_own_rol=3 if (d_hhd_own_rol_4==1)
	replace cat_own_rol=4 if (d_hhd_own_rol_5==1 | d_hhd_own_rol_9==1)
	replace cat_own_rol=5 if (d_hhd_own_rol_10==1 | d_hhd_own_rol_8==1)
	la def  cat_own_rol  1 "No paid (Student, unemployment, retired)"       ///
						2 "Business ownner,family business"    ///
						3 "Work for wage or salary"    ///
						4 "Stay at home, unpaid caregiver for family member"    ///
						5 "Other (Apprentice/trainee/intern)", modify
						
	la val cat_own_rol cat_own_rol
	tab cat_own_rol, gen (d_cat_own_rol_)
	drop *_temp
  
  gen     work_busswage=1 if (d_cat_own_rol_2==1 | d_cat_own_rol_3==1 )
  replace work_busswage=0 if d_hhd_own_rol_6==1 | d_hhd_own_rol_5==1 | d_hhd_own_rol_9==1  
  la var  work_busswage "Main Status Work(Work=1/Nowork=0)"
  la def  work_busswage 1 "Work Business or Wage" 0 "No Work", modify
  
   
   * Conditional on working 
   gl dm_gl  self_dm_lp spouse_dm_lp  wife_dm_lp husb_dm_lp joint_dm_lp  nopower_dm_lp
   foreach var in $dm_gl{
   clonevar  `var'_wk=`var' if work_busswage==1
   clonevar  `var'_nwk=`var' if work_busswage==0  
   }
   
   la var self_dm_lp_wk      "I have all the power(Working)" 
   la var spouse_dm_lp_wk    "Spouse has all the power (Working)" 
   la var husb_dm_lp_wk      "Husband has all the power(Working)"
   la var wife_dm_lp_wk      "Wife has all the power(Working)"   
   la var joint_dm_lp_wk     "Joint decision making with spouse(Working)" 
   la var nopower_dm_lp_wk   "No power at all(Working)"    
   la var self_dm_lp_nwk     "I have all the power(No working)" 
   la var spouse_dm_lp_nwk   "Spouse has all the power (No Working)" 
   la var husb_dm_lp_nwk     "Husband has all the power(No Working)"
   la var wife_dm_lp_nwk     "Wife has all the power(No Working)"   
   la var joint_dm_lp_nwk    "Joint decision making with spouse(No Working)" 
   la var nopower_dm_lp_nwk  "No power at all(No Working)"         
  

  la var d_out_workchores    "Outlier Time spend on Work & Chores"
  la var d_out_hours_care    "Outlier Time spend on Care"
  la var d_out_hours_chores  "Outlier Time spend on Chores"
  la var d_out_hhd_rsp_whr   "Outlier Time spend on Work"
  la var d_resp_workchores   "Answered work and chore time use"
  la var d_resp_workcare     "Answered work and care time use"
  la var d_resp_carechores   "Answered care and chore time use"  
  la var d_resp_timeuseall   "Answered work, care and chore time use"  
  
}
********************************************************************************
*         PART 4.Generating interactions with gender 
********************************************************************************  
if $part_1_4{
	
//replace	eq_opport_neighb=eq_opport_neighb*10
//replace expens_neigh=expens_neigh*10
//replace woman_role_neigh=woman_role_neigh*10

gen expens_indcom_c=expens*expens_neigh
gen eq_opport_indcom_c=eq_opport*eq_opport_neighb 
gen woman_role_indcom_c=woman_role*woman_role_neigh

gen expens_indcom_d=d_eq_opport_agree*expens_neigh
gen eq_opport_indcom_d=d_eq_opport_agree*eq_opport_neighb 
gen woman_role_indcom_d=d_woman_role_agree*woman_role_neigh

la var expens_indcom_c        "(Ind*Com)HH exp responsibility of the man(Cont)"
la var eq_opport_indcom_c     "(Ind*Com)Men and women should have equal opportunities(Cont)"
la var woman_role_indcom_c    "(Ind*Com)Woman role is home & children(Cont)"  

la var expens_indcom_d        "(Ind*Com)HH exp responsibility of the man(Agree)"
la var eq_opport_indcom_d     "(Ind*Com)Men and women should have equal opportunities(Agree))"
la var woman_role_indcom_d    "(Ind*Com)Woman role is home & children(Agree))" 


	
gl norms d_eq_opport_agree eq_opport_neighb    ///
			d_expens_agree expens_neigh   ///
			d_woman_role_agree woman_role_neigh  ///
			eq_opport expens  woman_role
foreach var of varlist  $norms{
gen `var'_fem=`var'*female_respondent
replace `var'_fem=. if `var'>=.

}	


gl norms eq_opport  expens  woman_role ///
         eq_opport_neighb   expens_neigh  woman_role_neigh 
foreach var of varlist $norms{
gen s_`var'=`var'
sum `var'
replace s_`var'= (`var'- `r(min)') / (`r(max)'-`r(min)')
gen s_`var'_fem=s_`var'*female_respondent 
			 }
					
  
gen s_eq_opport_indcom=s_eq_opport_neighb*s_eq_opport
gen s_expens_indcom=s_expens_neigh*s_expens  
gen s_woman_role_indcom=s_woman_role_neigh*s_woman_role 

la var d_eq_opport_agree_fem  "Agreement Men & women equal opportunity*Female"  
la var eq_opport_neighb_fem "# neighbors agree men & women equal*Female"
la var d_expens_agree_fem "Agreement: Household expenses are the responsibility of the man*Female"
la var expens_neigh_fem  "# Neighbs believe exp are man resp*Female"
la var d_woman_role_agree_fem "Agreement: Woman role is home & children*Female"
la var woman_role_neigh_fem "# Neighbs woman role is home*Female"
la var eq_opport_fem "Individual Belief Men & women equal opportunity*Female" 
la var expens_fem    "Household expenses are the responsibility of the man*Female"
la var woman_role_fem "Woman role is home & children*Female"
la var s_eq_opport_fem "Individual Belief Men & women equal opportunity*Female" 
la var s_expens_fem    "Household expenses are the responsibility of the man*Female"
la var s_woman_role_fem "Woman role is home & children*Female"

gen resp_opport=(d_eq_opport_agree<. & eq_opport_neighb <.) 
gen resp_exp=(d_expens_agree<. & expens_neigh<.)
gen resp_role=(d_woman_role_agree<. & woman_role_neigh<.)
replace eq_opport=. if  resp_opport!=1
replace eq_opport_neighb=. if resp_opport!=1
replace expens_neigh=. if resp_exp!=1
replace expens=. if resp_exp!=1
replace woman_role=. if resp_role!=1
replace woman_role_neigh=. if resp_role!=1
replace expens_neigh_inv=. if resp_exp!=1
replace woman_role_neigh_inv=. if resp_role!=1

  
foreach var of varlist eq_opport eq_opport_neighb ///
					   woman_role woman_role_neigh ///
					   expens_neigh {
gen `var'_women=`var' if female_respondent==1
gen `var'_men=`var' if female_respondent==0 
}
}
 
 
********************************************************************************
*         PART 5 . OTher
********************************************************************************  
if $part_1_5{ 
la var eq_opport   "Individual Belief:Men & women equal opportunity"
la var expens      "Individual Belief:Household expenses are the responsibility of the man"
la var woman_role  "Individual Belief:Woman role is home & children"
la var s_eq_opport   "Individual Belief:Men & women equal opportunity (Sd)"
la var s_expens      "Individual Belief:Household expenses are the responsibility of the man(Sd)"
la var s_woman_role  "Individual Belief:Woman role is home & children(Sd)"

la var s_eq_opport_neighb  "Community Perceived Belief: Men & women equal opportunity"
la var s_expens_neigh      "Community Perceived Belief:Household expenses are the responsibility of the man"
la var s_woman_role_neigh  "Community Perceived Belief:Woman role is home & children"

la var s_eq_opport_neighb_fem  "Community Perceived Belief:Female*Men & women equal opportunity"
la var s_expens_neigh_fem       "Community Perceived Belief:Female*Household expenses are the responsibility of the man"
la var s_woman_role_neigh_fem   "Community Perceived Belief:Female*Woman role is home & children"

la var s_eq_opport_indcom  "Individual*Community:Men & women equal opportunity"
la var s_expens_indcom     "Individual*Community:Household expenses are the responsibility of the man"
la var s_woman_role_indcom "Individual*Community:Woman role is home & children"

** Generating some variables at the country level 
foreach var of varlist work_lastweek hhd_hed_inc self_dm_lp  self_dm_cs{
   gen temp_`var'=`var' if female_respondent==1 & `var'<. 
   gen temp2_`var'=1 if female_respondent==1 & 	`var'<. 
   bysort sub_region: egen num_fem_`var'_agree=total(temp_`var')
   bysort sub_region: egen num_fem_`var'=total(temp2_`var')   
   gen    perc_fem_`var'=num_fem_`var'_agree/num_fem_`var'
   replace perc_fem_`var'=perc_fem_`var'*100
   drop temp_`var' temp2_`var'
}



la var perc_fem_work_lastweek  "(%) Females participating labor force"
la var perc_fem_hhd_hed_inc    "(%) Females Breadwinners"
la var perc_fem_self_dm_lp     "(%) Females Solo decision makers large purchases"
la var perc_fem_self_dm_cs     "(%) Females Solo decision makers critical spending"




  * Balancing outcome so it is easire to compare samples 
	replace hhd_rsp_whr =. if work_lastweek==. 
	gen hhd_rsp_whr_con=hhd_rsp_whr 
	replace hhd_rsp_whr_con=. if  work_lastweek==0
	gen work_lastweek_con=work_lastweek
	replace  work_lastweek_con=. if hhd_rsp_whr==. 


	gen     work_cat=1 if (work_lastweek_con==1 &  work_busswage==1)
	replace work_cat=2 if (work_lastweek_con==1 &  work_busswage==0)
	replace work_cat=3 if (work_lastweek_con==0 &  work_busswage==1)
	replace work_cat=4 if (work_lastweek_con==0 &  work_busswage==0)	
	replace work_cat=. if  work_lastweek_con==. |  work_busswage==.
	la def  work_cat 1 "Work in both" 2 "Work last 7 days but no main status"     ///
	3 "Work main status but not last 7 days" 4 "No work ever", modify 
	la val work_cat work_cat
	tab work_cat, gen (d_work_cat_)
	
	clonevar  d_work_cat_1_con=d_work_cat_1 
	replace   d_work_cat_1_con=. if work_cat==2 | work_cat==3

	clonevar  d_work_cat_2_con=d_work_cat_2
	replace   d_work_cat_2_con=. if work_cat==1 | work_cat==3	
	
	clonevar  d_work_cat_3_con=d_work_cat_3
	replace   d_work_cat_3_con=. if work_cat==1 | work_cat==2
	
	
	clonevar role_livexp= b3
	tab role_livexp, gen (d_role_liveexp_)
  	
	la var   hhd_rsp_whr  "Hours spend at paid work last week"
	la var   work_lastweek "Paid Work last 7 days (Business, Farming or other)"
	la var   hhd_rsp_whr "Number of hours spent per day at work last week"
	la var   work_lastweek_con "Paid Work (Business, Farming or other)"  
	la var   hhd_rsp_whr_con   "Hours spent at paid work last week (Conditional)"	

	gen    mie_dm_sample=(hhd_hed_inc<. &  d_larg_purch_decis_1<. &  d_crit_spend_decis_1<. )
	la var mie_dm_sample "Sample answered to MIE and DM questions"	
	gen hours_care_con=hours_care 
	replace hours_care_con=. if work_lastweek_con==1
	gen hours_chores_con=hours_care 
	replace hours_chores_con=. if work_lastweek_con==1
	gen work_lastweek_fem=work_lastweek*female_respondent
	la var work_lastweek_fem "Paid Work (Business, Farming or other)*Female"
    gen work_lastweek_con_fem=work_lastweek_con*female_respondent
    la var work_lastweek_con_fem "Paid Work*Female"
   
	la var hours_care        "Hours spent on care activities for family members"
	la var hours_chores      "Hours spent on household chores"
	la var hours_care_con    "Hours spent on care activities for family members (Conditional Working)"
	la var hours_chores_con  "Hours spent on household chores (Conditional Working)"	
	
	
	la var  eq_opport        "Individual(1/5):Men and women should have equal opportunities"
	la var  eq_opport_neighb "Community(0/1):Men and women should have equal opportunities"
	la var  expens           "Individual(1/5):Expenses are man responsibility even if wife can help"
	la var  expens_neigh     "Community(0/1):Expenses are man responsibility even if wife can help"
	la var  woman_role       "Individual(1/5):Woman's most important role is care of home and child"   
	la var  woman_role_neigh "Community(0/1):Woman's most important role is care of home and child" 
	la var  eq_opport_fem        "Individual(1/5)*Female:Men and women should have equal opportunities"
	la var  eq_opport_neighb_fem "Community(0/1)*Female:Men and women should have equal opportunities"
	la var  expens_fem           "Individual(1/5)*Female:Expenses are man responsibility even if wife can help"
	la var  expens_neigh_fem     "Community(0/1)*Female:Expenses are man responsibility even if wife can help"
	la var  woman_role_fem       "Individual(1/5)*Female:Woman's most important role is care of home and child"   
	la var  woman_role_neigh_fem "Community(0/1)*Female:Woman's most important role is care of home and child" 	
	la var  expens_neigh_inv     "Community(0/1):Expenses are man responsibility (disagree)"
	la var  woman_role_neigh_inv "Community(0/1):Woman's most important role is care of home and child(disagree)" 	
	la var  expens_neigh_inv_fem     "Community(0/1):Expenses are man responsibility*Female(disagree)"
	la var  woman_role_neigh_inv_fem  "Community(0/1):Woman's most important role*Female(disagree)" 	
	
	la var  eq_opport_indcom_c  "Individual*Community:Men and women should have equal opportunities"
	la var  expens_indcom_c     "Individual*Community:Expenses are man responsibility even if wife can help"
	la var  woman_role_indcom_c "Individual*Community:Woman's most important role is care of home and child" 
	
	
	
	la var d_und_aeq_opport  "Underestimate:Men and women should have equal opportunities"
	la var d_over_aeq_opport "Overestimate:Men and women should have equal opportunities"
	la var d_ard_aeq_opport  "Around actual:Men and women should have equal opportunities"
	
	la var d_und_aexpens     "Underestimate:Expenses are man responsibility"
	la var d_over_aexpens    "Overestimate:Expenses are man responsibility"
	la var d_ard_aexpens     "Around:Expenses are man responsibility"	
	
	la var d_und_awoman_role  "Underestimate:Woman's most important role is care of home and child"
	la var d_over_awoman_role "Overestimate:Woman's most important role is care of home and child"
	la var d_ard_awoman_role  "Around:Woman's most important role is care of home and child"	


	la var d_und_aeq_opport_f  "Underestimate*Female:Men and women should have equal opportunities"
	la var d_over_aeq_opport_f "Overestimate*Female:Men and women should have equal opportunities"
	la var d_ard_aeq_opport_f  "Around*Female:Men and women should have equal opportunities"

	la var d_und_aexpens_f    "Underestimate*Female:Expenses are man responsibility"
	la var d_over_aexpens_f   "Overestimate*Female:Expenses are man responsibility"
	la var d_ard_aexpens_f    "Around*Female:Expenses are man responsibility"	
	
	la var d_und_awoman_role_f  "Underestimate*Female:Woman's most important role is care of home and child"
	la var d_over_awoman_role_f "Overestimate*Female:Woman's most important role is care of home and child"
	la var d_ard_awoman_role_f  "Around actual*Female:Woman's most important role is care of home and child"		
	
	la var d_eq_opport_agree      "Agree:Men and women should have equal opportunities(0/1)"
	la var d_eq_opport_agree_fem  "Agree*Female:Men and women should have equal opportunities(0/1)"
	la var d_expens_agree         "Agree:Expenses are man responsibility(0/1)"	
	la var d_expens_agree_fem     "Agree*Female:Expenses are man responsibility(0/1)"	
	la var d_woman_role_agree     "Agree:Woman's most important role is care of home and child (0/1)"
	la var d_woman_role_agree_fem "Agree*Female:Woman's most important role is care of home and child(0/1)"
	la var d_expens_disagree      "Disagree:Expenses are man responsibility(0/1)"		
	la var d_woman_role_disagree  "Disagree:Woman's most important role is care of home and child (0/1)"
	la var d_expens_disagree_fem      "Disagree:Expenses are man responsibility*Female(0/1)"		
	la var d_woman_role_disagree_fem   "Disagree:Woman's most important role*Female(0/1)"
	
	foreach var in eq_opport  expens woman_role{ 
	gen     cat_pl_`var'=1 if  d_und_`var'==1
	replace cat_pl_`var'=2 if d_ard_`var'==1
	replace cat_pl_`var'=3 if d_over_`var'==1
	}

	la def cat_pl 1 "Underestimated" 2 "Around" 3 "Overestimated", modify 
	la val cat_pl_* cat_pl
	la var cat_pl_eq_opport "(Categories)Men and women equal opportunity"
	la var cat_pl_woman_role "(Categories)Woman role is home and children"
	la var cat_pl_expens "(Categories)Expenditures are responsability of man"
	
   gen region_name=""
   replace region_name="EAP" if region==1 
   replace region_name="ECA" if region==2
   replace region_name="LAC" if region==3 
   replace region_name="MENA" if region==4   
   replace region_name="NorthAmerica" if region==5
   replace region_name="SouthAsia" if region==6 
   replace region_name="SSA" if region==7
	

clonevar work_lastweek_v2=work_lastweek_con 
clonevar work_busswage_v2=work_busswage
replace  work_lastweek_v2=. if work_lastweek_con>=. | work_busswage>=. 
replace  work_busswage_v2=. if work_lastweek_con>=. | work_busswage>=. 
clonevar hhd_rsp_whr_v2=hhd_rsp_whr_con
replace  hhd_rsp_whr_v2=. if work_lastweek_con>=. | work_busswage>=. 	

clonevar hours_care_v2=hours_care
replace  hours_care_v2=. if hours_care_v2==0
clonevar hours_chores_v2=hours_chores
replace  hours_chores_v2=. if hours_chores_v2==0
la var   hours_care_v2 "Hours spent on care activities (Conditional)"
la var   hours_chores_v2 "Hours spent on household chores (Conditional)"

clonevar hrs_chores_concare=hours_chores
replace  hrs_chores_concare=. if hours_care>=.
la var   hrs_chores_concare "Houurs spent on household chorres (conditional on care)"

gen     d_any_care=(hours_care>0 & hours_care<.)
replace d_any_care=. if hours_care==. 
gen     d_any_chores=(hours_chores>0 & hours_chores<.)
replace d_any_chores=. if hours_chores==. 	

la var d_any_care "Any care (Dummy:0/1)"
la var d_any_chores "Any household chores (Dummy:0/1)"

   foreach var of varlist  hhd_has_spo   d_age_2 d_hhd_own_edu_2 d_hhd_urb_2{
   gen `var'_fem=`var'*female_respondent	
   }
   

  * Setting up code 
  
   # d;	
   gl norms_var  d_eq_opport_agree  eq_opport_neighb 
                 d_expens_agree     expens_neigh
				 d_woman_role_agree woman_role_neigh; 
			
   gl misp_var   pl_eq_opport 
                 d_und_aeq_opport  d_ard_aeq_opport    d_over_aeq_opport	
				 pl_expens 
				 d_und_aexpens  d_ard_aexpens    d_over_aexpens	
		         pl_woman_role 
				 d_und_awoman_role  d_ard_awoman_role    d_over_awoman_role;	
   # d cr; 
  
   foreach var of varlist $norms_var $misp_var{
   gen `var'_F=`var' if female_respondent==1	
   gen `var'_M=`var' if female_respondent==0	
   }
  

	la var  pl_eq_opport_F    "Men and women equal opportunity(Female)"
	la var  pl_expens_F       "Expenditures are responsibility of man(Female)"
	la var  pl_woman_role_F   "Woman role is home and children(Female)"

	la var  pl_eq_opport_M    "Men and women equal opportunity(Male)"
	la var  pl_expens_M       "Expenditures are responsibility of man(Male)"
	la var  pl_woman_role_M   "Woman role is home and children(Male)"

	la var d_eq_opport_agree_F     "Gender Equality Norm:Individual Belief (% who agree)- Female"
	la var d_eq_opport_agree_M     "Gender Equality Norm:Individual Belief (% who agree) - Male"
	la var eq_opport_neighb_F      "Gender Equality Norm:Community Perceived (% of neighbours)- Female"
	la var eq_opport_neighb_M      "Gender Equality Norm:Community Perceived (% of neighbours)- Male"
	la var d_expens_agree_F        "Male Breadwinner Norm:Individual Belief (% who agree)- Female"
	la var d_expens_agree_M        "Male Breadwinner Norm:Individual Belief (% who agree)- Male"
	la var expens_neigh_F          "Male Breadwinner Norm:Community Perceived (% who agree)- Female"
	la var expens_neigh_M          "Male Breadwinner Norm:Community Perceived (% who agree)- Male"
	la var d_woman_role_agree_F    "Female Caregiver Norm:Individual Belief (% who agree)- Female"
	la var d_woman_role_agree_M    "Female Caregiver Norm:Individual Belief (% who agree)- Male"
	la var woman_role_neigh_F      "Female Caregiver Norm:Community Perceived (% who agree)- Female"
	la var woman_role_neigh_M	   "Female Caregiver Norm:Community Perceived (% who agree)- Male"
	la var d_und_aeq_opport_F      "Gender Equality Norm:Underestimate norm (%)- Female"
	la var d_ard_aeq_opport_F      "Gender Equality Norm:Accurate (%)- Female"
	la var d_over_aeq_opport_F     "Gender Equality Norm:Overestimate norm (%)- Female"
	la var d_und_aeq_opport_M      "Gender Equality Norm:Underestimate norm (%)- Male"
	la var d_ard_aeq_opport_M      "Gender Equality Norm:Accurate (%)- Male"
	la var d_over_aeq_opport_M     "Gender Equality Norm:Overestimate norm (%)- Male"
	la var d_und_aexpens_F         "Male Breadwinner Norm:Underestimate norm (%)- Female"
	la var d_ard_aexpens_F         "Male Breadwinner Norm:Accurate (%)- Female"
    la var d_over_aexpens_F        "Male Breadwinner Norm:Overestimate norm (%)- Female"
	la var d_und_aexpens_M         "Male Breadwinner Norm:Underestimate norm (%)- Male"
	la var d_ard_aexpens_M         "Male Breadwinner Norm:Accurate (%)- Male"
	la var d_over_aexpens_M        "Male Breadwinner Norm:Overestimate norm (%)- Male"
	la var d_und_awoman_role_F     "Female Caregiver Norm:Overestimate norm (%)- Female"
	la var d_ard_awoman_role_F     "Female Caregiver Norm:Accurate norm (%)- Female"
	la var d_over_awoman_role_F    "Female Caregiver Norm:Underestimate norm (%)- Female"
	la var d_und_awoman_role_M     "Female Caregiver Norm:Overestimate norm (%)- Male"
	la var d_ard_awoman_role_M     "Female Caregiver Norm:Accurate (%)- Male"
	la var d_over_awoman_role_M    "Female Caregiver Norm:Underestimate norm (%)- Male"
    la var  hhd_has_spo            "Married(0/1)"
    la var  d_age_2                "Age (1 = 25 - 64 years old; 0 = younger 25)"
    la var  d_hhd_own_edu_2        "Education (1= More than secondary; 0 = less)"
    la var  d_hhd_urb_1            "Location type (1= Urban area)"	
    la var  d_hhd_urb_2            "Location type (1= Village or rural area)"
    la var  hhd_has_spo_fem        "Female # Married"
    la var  d_age_2_fem            "Female # Age"
    la var  d_hhd_own_edu_2_fem    "Female # Education"
    la var  d_hhd_urb_2_fem        "Female # Location type"   	
	la var  female_respondent      "Female"
	la var  d_eq_opport_agree      "Gender Equality Norm:Personal Belief:Agree(No=0/Yes=1)"
	la var  d_eq_opport_agree_fem  "Gender Equality Norm:Personal Belief:Agree x Female"
	la var  eq_opport_neighb       "Gender Equality Norm:Community Norms (0/1)"
	la var  eq_opport_neighb_fem   "Gender Equality Norm:Community Norms (0/1) x Female "
	la var  d_expens_agree         "Male Breadwinner Norm:Personal Belief:Agree(No=0/Yes=1)"
	la var  d_expens_agree_fem     "Male Breadwinner Norm:Personal Belief:Agree x Female"
	la var  expens_neigh           "Male Breadwinner Norm:Community Norms (0/1)"
	la var  expens_neigh_fem       "Male Breadwinner Norm:Community Norms (0/1)x Female"
	la var  d_woman_role_agree     "Female Caregiver Norm:Personal Belief:Agree(No=0/Yes=1)"
	la var  d_woman_role_agree_fem "Female Caregiver Norm:Personal Belief:Agree x Female"
	la var  woman_role_neigh       "Female Caregiver Norm:Community Norms (0/1)"
	la var  woman_role_neigh_fem   "Female Caregiver Norm:Community Norms (0/1)x Female"
	la var  wife_dm_lp             "Female in HH has all the power (Yes=1/No=0)"
	la var  husb_dm_lp             "Male in HH has all the power (Yes=1/No=0)"
	la var  joint_dm_lp            "Joint decision making with spouse (Yes=1/No=0)"
	la var  nopower_dm_lp          "No power at all (Yes=1/No=0)"
	
	
	}
