*================================================================= *
*	FACEBOOK DATA												   *
*   PART 3. Predicted USING CHORES AND WORK             		   *    		
*   2021														   *
*================================================================= *

* Running regression  with outlier as outcome  so we can save the new weights 
* ------------------------------------------------------------------------------	
if 1{
  gl output_name weigh_reg
  gl cov_pred    female_respondent d_hhsize_selfexcluded_2-d_hhsize_selfexcluded_5   ///
				 d_hhd_own_edu_1  d_hhd_urb_1

  gl controls  $cov_pred  
  local outcome d_ret_workchores	
  eststo: probit `outcome' 	$controls d_region_?
 
 
 /* There is no need to export thisfor the reproducible package but leaving it here as 
 refernce
 * Saving stats 
   estadd scalar chi_sq=e(chi2) 
   estadd scalar chi_sq_pval=e(p) 
   estadd scalar pseudo_r2=e(r2 p)
  
 * Output
   # d;
   esttab using  "$outputs_raw/Tables/$output_name.csv", title("${H}") 
			   stats(N chi_sq chi_sq_pval pseudo_r2, fmt(0 2 3 3)       
			   labels( "Observations" "LR chi2"        				
					   "Prob > chi2"  "Pseudo R2"))             					    
			   label  brackets plain  numbers depvars                           
			   star(* 0.1 ** 0.05 *** 0.01)   b(%9.3f) se(%9.2f) replace;
   # d cr;	

** Exporting to unique file 
** ------------------------------------------	
    local svdate: di %tdCCYYNNDD daily("$S_DATE", "DMY")
    disp "`svdate'" 			   
	preserve 
	* Import table from csv
	import delimited "$outputs_raw/Tables/$output_name.csv", ///
	clear delimiter(comma)

	* Exporting into common file 
	export excel using "$outputs_raw/Tables/GenderAtHome_`svdate'.xlsx", ///
				 sheet("$output_name", modify) 
	restore   
*/

* Predict the conditional probability	
  predict p_`outcome', pr
	
* Generate the inverse probability weights as P(T=1|covariates) i
  xtile  dec_`outcome'= p_`outcome', nq(10)
  bysort dec_`outcome': egen mean_p_`outcome'=mean(p_`outcome')
  
  gen w_`outcome'=. 
  replace w_`outcome'=1/mean_p_`outcome' if `outcome'==1
  replace w_`outcome'=1/(1-mean_p_`outcome') if `outcome'==0
  summarize w_`outcome'
  

  
}


* Generating variables to know diff sample sizes
* ------------------------------------------------------------------------------
if 1{
** Defining globals 
   # d;
   gl individ        hhd_has_spo d_age_1 d_age_2  
                     d_hhsize_selfexcluded_2-d_hhsize_selfexcluded_5   
				     d_hhd_own_edu_1 d_relation_hhh_2-d_relation_hhh_4
					 d_hhd_urb_1 d_own_land;
   gl demographics   $individ;
   gl region_fe      i.region_code;
   gl country_fe     i.country_num;					 
   gl outcomes       work_lastweek hhd_rsp_whr self_solo_mie self_dm_lp 
                     self_dm_cs    hours_care hours_chores;
   gl norms eq_opport eq_opport_neighb expens expens_neigh woman_role woman_role_neigh ;					 
   # d cr;
   
  egen   num_miss=rowmiss($individ country_num)
  gen    d_indchar_sample=(num_miss==0)
  la var d_indchar_sample "Sample that answered to all demographics"

  sum $outcomes $norms if d_indchar_sample==1
  drop num_miss
  
  la var code_iso3 "Code ISO3"
}