*================================================================= *
*	GENDER AT HOME												   *
*   PART 5. DATA FOR MAPS				             		       *    		
*   2023														   *
*================================================================= *

 * Set scheme 
  	set scheme white_tableau
		
** Load country level data 
   use  "$data/Final/GenderAtHome_DataAnalysisCountry.dta", clear		
   ren code_iso3 ISO_A3
   
 * Keeping variables that need to be use. 
   keep pign_* ISO_A3	   	 
   saveold "$data\Intermediate\GenderAtHome_Maps.dta", replace	 
	  
 * Using coordinate data and merge with Map dataset
	use  "$data/Intermediate\OtherDatasets/world_shape", clear

	* Correct iso_a2
	drop if ISO_A2=="-99"
	drop if ISO_A2==".n" 
    drop if ISO_A3=="-99"
	drop if ISO_A3==".n" 
	
  * Merging with our dataset. In this case we have a data with % of female resp
	merge 1:1 ISO_A3 using "$data\Intermediate\GenderAtHome_Maps.dta",       ///
					 keep(1 3) nogen
	
 * We are going to put it in absolute value 
   replace pign_eq_opport_country=pign_eq_opport_country*-1	
  
 * Erase temporary dataset 
   erase "$data\Intermediate\GenderAtHome_Maps.dta"
	
********************************************************************************
// END OF DOFILE 